# swagger-client
API Documentation

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 1.1.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint
# Configure HTTP basic authorization: basicAuth
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.IntentManagementApi(swagger_client.ApiClient(configuration))
body = swagger_client.IntentRequestDTO() # IntentRequestDTO | 

try:
    api_response = api_instance.create_or_update_intent(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling IntentManagementApi->create_or_update_intent: %s\n" % e)
# Configure HTTP basic authorization: basicAuth
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.IntentManagementApi(swagger_client.ApiClient(configuration))
name = 'name_example' # str | 

try:
    api_instance.delete_intent(name)
except ApiException as e:
    print("Exception when calling IntentManagementApi->delete_intent: %s\n" % e)
# Configure HTTP basic authorization: basicAuth
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.IntentManagementApi(swagger_client.ApiClient(configuration))

try:
    api_response = api_instance.get_all_intents()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling IntentManagementApi->get_all_intents: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://facetsdemo.console.facets.cloud*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*IntentManagementApi* | [**create_or_update_intent**](docs/IntentManagementApi.md#create_or_update_intent) | **POST** /cc-ui/v1/intents | 
*IntentManagementApi* | [**delete_intent**](docs/IntentManagementApi.md#delete_intent) | **DELETE** /cc-ui/v1/intents/{name} | 
*IntentManagementApi* | [**get_all_intents**](docs/IntentManagementApi.md#get_all_intents) | **GET** /cc-ui/v1/intents | 
*ModuleManagementApi* | [**bootstrap_modules**](docs/ModuleManagementApi.md#bootstrap_modules) | **POST** /cc-ui/v1/modules/bootstrap | Bootstrap Modules
*ModuleManagementApi* | [**delete_tf_module**](docs/ModuleManagementApi.md#delete_tf_module) | **DELETE** /cc-ui/v1/modules/{id} | Delete a Module
*ModuleManagementApi* | [**download_module_by_id**](docs/ModuleManagementApi.md#download_module_by_id) | **GET** /cc-ui/v1/modules/{id}/download | 
*ModuleManagementApi* | [**download_module_by_version_id**](docs/ModuleManagementApi.md#download_module_by_version_id) | **GET** /cc-ui/v1/modules/version/{versionId}/download | 
*ModuleManagementApi* | [**get_all2**](docs/ModuleManagementApi.md#get_all2) | **GET** /cc-ui/v1/modules/all | Get All Modules
*ModuleManagementApi* | [**get_all_modules**](docs/ModuleManagementApi.md#get_all_modules) | **GET** /cc-ui/v1/modules | 
*ModuleManagementApi* | [**get_all_modules_lite**](docs/ModuleManagementApi.md#get_all_modules_lite) | **GET** /cc-ui/v1/modules/modules-lite | 
*ModuleManagementApi* | [**get_by_id**](docs/ModuleManagementApi.md#get_by_id) | **GET** /cc-ui/v1/modules/{id} | Get Module by ID
*ModuleManagementApi* | [**get_grouped_modules_for_stack**](docs/ModuleManagementApi.md#get_grouped_modules_for_stack) | **GET** /cc-ui/v1/modules/stack/{stackName}/grouped | Get Grouped Modules for Stack
*ModuleManagementApi* | [**get_intent_add_on_modules**](docs/ModuleManagementApi.md#get_intent_add_on_modules) | **GET** /cc-ui/v1/modules/intent/{intent}/flavor/{flavor}/add-ons | Get Add-On Modules
*ModuleManagementApi* | [**get_module_for_ifv_and_stack**](docs/ModuleManagementApi.md#get_module_for_ifv_and_stack) | **GET** /cc-ui/v1/modules/stack/{stackName}/{intent}/{flavor}/{version}/module | 
*ModuleManagementApi* | [**get_module_usages**](docs/ModuleManagementApi.md#get_module_usages) | **GET** /cc-ui/v1/modules/{id}/usages | Get Module Usages
*ModuleManagementApi* | [**mark_as_published**](docs/ModuleManagementApi.md#mark_as_published) | **POST** /cc-ui/v1/modules/intent/{intent}/flavor/{flavor}/version/{version}/mark-published | Mark Module as Published
*ModuleManagementApi* | [**mark_as_published_by_id**](docs/ModuleManagementApi.md#mark_as_published_by_id) | **POST** /cc-ui/v1/modules/{id}/mark-published | Mark Module as Published
*ModuleManagementApi* | [**upload_module**](docs/ModuleManagementApi.md#upload_module) | **POST** /cc-ui/v1/modules/upload | Upload a module
*TFOutputManagementApi* | [**create_or_update_output**](docs/TFOutputManagementApi.md#create_or_update_output) | **POST** /cc-ui/v1/tf-outputs | 
*TFOutputManagementApi* | [**delete_output**](docs/TFOutputManagementApi.md#delete_output) | **DELETE** /cc-ui/v1/tf-outputs/{name} | 
*TFOutputManagementApi* | [**get_all_outputs**](docs/TFOutputManagementApi.md#get_all_outputs) | **GET** /cc-ui/v1/tf-outputs | 
*TFOutputManagementApi* | [**get_output_by_name**](docs/TFOutputManagementApi.md#get_output_by_name) | **GET** /cc-ui/v1/tf-outputs/{name} | 
*TFOutputManagementApi* | [**get_outputs_by_provider_source**](docs/TFOutputManagementApi.md#get_outputs_by_provider_source) | **GET** /cc-ui/v1/tf-outputs/provider | Get all outputs that use a specific provider source
*UIChatGPTControllerApi* | [**analyze_kubernetes_cluster**](docs/UIChatGPTControllerApi.md#analyze_kubernetes_cluster) | **GET** /cc-ui/v1/clusters/{clusterId}/kubernetes/analyze | 
*UIChatGPTControllerApi* | [**chat**](docs/UIChatGPTControllerApi.md#chat) | **POST** /cc-ui/v1/clusters/chat/{chatId} | Send a message to a chat
*UIChatGPTControllerApi* | [**create_chat**](docs/UIChatGPTControllerApi.md#create_chat) | **POST** /cc-ui/v1/clusters/{clusterId}/chat | Create a new chat
*UIChatGPTControllerApi* | [**get_all_chats**](docs/UIChatGPTControllerApi.md#get_all_chats) | **GET** /cc-ui/v1/clusters/{clusterId}/chat | Get chats by cluster ID
*UIChatGPTControllerApi* | [**get_all_starters**](docs/UIChatGPTControllerApi.md#get_all_starters) | **GET** /cc-ui/v1/clusters/chat/metadata | Get chat starters metadata
*UIChatGPTControllerApi* | [**get_chat_by_id**](docs/UIChatGPTControllerApi.md#get_chat_by_id) | **GET** /cc-ui/v1/clusters/chat/{chatId} | Get chat by ID
*UIChatGPTControllerApi* | [**get_k8s_chats**](docs/UIChatGPTControllerApi.md#get_k8s_chats) | **POST** /cc-ui/v1/clusters/{clusterId}/k8s-chat | Ask Questions about k8s operations
*ApplicationControllerApi* | [**change_password**](docs/ApplicationControllerApi.md#change_password) | **PUT** /api/users/{userId}/changePassword | 
*ApplicationControllerApi* | [**create_user**](docs/ApplicationControllerApi.md#create_user) | **POST** /api/users | 
*ApplicationControllerApi* | [**create_user_cc**](docs/ApplicationControllerApi.md#create_user_cc) | **POST** /api/cc-users | 
*ApplicationControllerApi* | [**get_users**](docs/ApplicationControllerApi.md#get_users) | **GET** /api/users | 
*ApplicationControllerApi* | [**login**](docs/ApplicationControllerApi.md#login) | **GET** /api/login | 
*ApplicationControllerApi* | [**login1**](docs/ApplicationControllerApi.md#login1) | **HEAD** /api/login | 
*ApplicationControllerApi* | [**login2**](docs/ApplicationControllerApi.md#login2) | **POST** /api/login | 
*ApplicationControllerApi* | [**login3**](docs/ApplicationControllerApi.md#login3) | **PUT** /api/login | 
*ApplicationControllerApi* | [**login4**](docs/ApplicationControllerApi.md#login4) | **PATCH** /api/login | 
*ApplicationControllerApi* | [**login5**](docs/ApplicationControllerApi.md#login5) | **DELETE** /api/login | 
*ApplicationControllerApi* | [**login6**](docs/ApplicationControllerApi.md#login6) | **OPTIONS** /api/login | 
*ApplicationControllerApi* | [**me**](docs/ApplicationControllerApi.md#me) | **GET** /api/me | 
*ApplicationControllerApi* | [**update_user**](docs/ApplicationControllerApi.md#update_user) | **PUT** /api/users/{userId} | 
*PublicApIsApi* | [**get_all_feature_properties**](docs/PublicApIsApi.md#get_all_feature_properties) | **GET** /public/v1/features | 
*PublicApIsApi* | [**get_cp_cloud**](docs/PublicApIsApi.md#get_cp_cloud) | **GET** /public/v1/cp-cloud | 
*PublicApIsApi* | [**get_feature_property**](docs/PublicApIsApi.md#get_feature_property) | **GET** /public/v1/features/{name} | 
*PublicApIsApi* | [**get_login_options**](docs/PublicApIsApi.md#get_login_options) | **GET** /public/v1/loginOptions | 
*PublicApIsApi* | [**get_logo**](docs/PublicApIsApi.md#get_logo) | **GET** /public/v1/logo | 
*PublicApIsApi* | [**health_check**](docs/PublicApIsApi.md#health_check) | **GET** /public/v1/health | 
*PublicApIsApi* | [**link_aws_account**](docs/PublicApIsApi.md#link_aws_account) | **POST** /public/v1/link-aws | 
*PublicApIsApi* | [**link_azure_account**](docs/PublicApIsApi.md#link_azure_account) | **POST** /public/v1/link-azure | 
*PublicApIsApi* | [**link_bitbucket_account**](docs/PublicApIsApi.md#link_bitbucket_account) | **POST** /public/v1/link-bitbucket | 
*PublicApIsApi* | [**link_docker_registries**](docs/PublicApIsApi.md#link_docker_registries) | **POST** /public/v1/link-docker-registries | 
*PublicApIsApi* | [**link_ecr**](docs/PublicApIsApi.md#link_ecr) | **POST** /public/v1/link-ecr | 
*PublicApIsApi* | [**link_gcp_account**](docs/PublicApIsApi.md#link_gcp_account) | **POST** /public/v1/link-gcp | 
*PublicApIsApi* | [**link_github_account**](docs/PublicApIsApi.md#link_github_account) | **POST** /public/v1/link-github | 
*PublicApIsApi* | [**link_gitlab_account**](docs/PublicApIsApi.md#link_gitlab_account) | **POST** /public/v1/link-gitlab | 
*PublicApIsApi* | [**link_k8s_account**](docs/PublicApIsApi.md#link_k8s_account) | **POST** /public/v1/link-kubernetes | 
*PublicApIsApi* | [**process_github_installation_request**](docs/PublicApIsApi.md#process_github_installation_request) | **POST** /public/v1/github-installation-request | 
*PublicApIsApi* | [**retrieve_theme_file**](docs/PublicApIsApi.md#retrieve_theme_file) | **GET** /public/v1/themeFile | 
*UiAccountsControllerApi* | [**create_aws_account**](docs/UiAccountsControllerApi.md#create_aws_account) | **POST** /cc-ui/v1/accounts/aws/ | 
*UiAccountsControllerApi* | [**create_azure_account**](docs/UiAccountsControllerApi.md#create_azure_account) | **POST** /cc-ui/v1/accounts/azure/ | 
*UiAccountsControllerApi* | [**create_bit_bucket_account**](docs/UiAccountsControllerApi.md#create_bit_bucket_account) | **POST** /cc-ui/v1/accounts/bitbucket/ | 
*UiAccountsControllerApi* | [**create_coder_account**](docs/UiAccountsControllerApi.md#create_coder_account) | **POST** /cc-ui/v1/accounts/coder/ | 
*UiAccountsControllerApi* | [**create_gcp_account**](docs/UiAccountsControllerApi.md#create_gcp_account) | **POST** /cc-ui/v1/accounts/gcp/ | 
*UiAccountsControllerApi* | [**create_git_hub_account**](docs/UiAccountsControllerApi.md#create_git_hub_account) | **POST** /cc-ui/v1/accounts/github/ | 
*UiAccountsControllerApi* | [**create_git_lab_account**](docs/UiAccountsControllerApi.md#create_git_lab_account) | **POST** /cc-ui/v1/accounts/gitlab/ | 
*UiAccountsControllerApi* | [**create_kubernetes_account**](docs/UiAccountsControllerApi.md#create_kubernetes_account) | **POST** /cc-ui/v1/accounts/kubernetes/ | 
*UiAccountsControllerApi* | [**delete_account**](docs/UiAccountsControllerApi.md#delete_account) | **DELETE** /cc-ui/v1/accounts/{id} | 
*UiAccountsControllerApi* | [**get_account**](docs/UiAccountsControllerApi.md#get_account) | **GET** /cc-ui/v1/accounts/{id} | 
*UiAccountsControllerApi* | [**get_account_by_name**](docs/UiAccountsControllerApi.md#get_account_by_name) | **GET** /cc-ui/v1/accounts/name/{name} | 
*UiAccountsControllerApi* | [**get_accounts_by_type**](docs/UiAccountsControllerApi.md#get_accounts_by_type) | **GET** /cc-ui/v1/accounts/type/{type} | 
*UiAccountsControllerApi* | [**get_all_accounts**](docs/UiAccountsControllerApi.md#get_all_accounts) | **GET** /cc-ui/v1/accounts/ | 
*UiAccountsControllerApi* | [**get_all_vcs_token_details**](docs/UiAccountsControllerApi.md#get_all_vcs_token_details) | **GET** /cc-ui/v1/accounts/token-details | 
*UiAccountsControllerApi* | [**get_bitbucket_projects_for_workspace**](docs/UiAccountsControllerApi.md#get_bitbucket_projects_for_workspace) | **GET** /cc-ui/v1/accounts/{accountId}/workspaces/{workspace}/projects | 
*UiAccountsControllerApi* | [**get_vcs_organisations**](docs/UiAccountsControllerApi.md#get_vcs_organisations) | **POST** /cc-ui/v1/accounts/get-organisations | 
*UiAccountsControllerApi* | [**get_vcs_organizations_by_account_id**](docs/UiAccountsControllerApi.md#get_vcs_organizations_by_account_id) | **GET** /cc-ui/v1/accounts/vcs-orgs/{accountId} | 
*UiAccountsControllerApi* | [**get_vcs_token_details_by_stack_name**](docs/UiAccountsControllerApi.md#get_vcs_token_details_by_stack_name) | **GET** /cc-ui/v1/accounts/stack/{stackName}/token-details | 
*UiAccountsControllerApi* | [**refresh_all_vcs_token_details**](docs/UiAccountsControllerApi.md#refresh_all_vcs_token_details) | **POST** /cc-ui/v1/accounts/token-details/refresh | 
*UiAccountsControllerApi* | [**request_cloud_account_linking**](docs/UiAccountsControllerApi.md#request_cloud_account_linking) | **POST** /cc-ui/v1/accounts/link-cloud | 
*UiAccountsControllerApi* | [**request_vcs_linking**](docs/UiAccountsControllerApi.md#request_vcs_linking) | **POST** /cc-ui/v1/accounts/link-vcs | 
*UiAccountsControllerApi* | [**update_aws_account**](docs/UiAccountsControllerApi.md#update_aws_account) | **PUT** /cc-ui/v1/accounts/aws/{id} | 
*UiAccountsControllerApi* | [**update_azure_account**](docs/UiAccountsControllerApi.md#update_azure_account) | **PUT** /cc-ui/v1/accounts/azure/{id} | 
*UiAccountsControllerApi* | [**update_bit_bucket_account**](docs/UiAccountsControllerApi.md#update_bit_bucket_account) | **PUT** /cc-ui/v1/accounts/bitbucket/{id} | 
*UiAccountsControllerApi* | [**update_coder_account**](docs/UiAccountsControllerApi.md#update_coder_account) | **PUT** /cc-ui/v1/accounts/coder/{id} | 
*UiAccountsControllerApi* | [**update_gcp_account**](docs/UiAccountsControllerApi.md#update_gcp_account) | **PUT** /cc-ui/v1/accounts/gcp/{id} | 
*UiAccountsControllerApi* | [**update_git_hub_account**](docs/UiAccountsControllerApi.md#update_git_hub_account) | **PUT** /cc-ui/v1/accounts/github/{id} | 
*UiAccountsControllerApi* | [**update_git_lab_account**](docs/UiAccountsControllerApi.md#update_git_lab_account) | **PUT** /cc-ui/v1/accounts/gitlab/{id} | 
*UiAccountsControllerApi* | [**update_kubernetes_account**](docs/UiAccountsControllerApi.md#update_kubernetes_account) | **PUT** /cc-ui/v1/accounts/kubernetes/{id} | 
*UiAccountsControllerApi* | [**update_vcs_account**](docs/UiAccountsControllerApi.md#update_vcs_account) | **PATCH** /cc-ui/v1/accounts/vcs/{id} | 
*UiAccountsControllerApi* | [**validate_aws_account**](docs/UiAccountsControllerApi.md#validate_aws_account) | **POST** /cc-ui/v1/accounts/aws/validate | 
*UiAccountsControllerApi* | [**validate_azure_account**](docs/UiAccountsControllerApi.md#validate_azure_account) | **POST** /cc-ui/v1/accounts/azure/validate | 
*UiAccountsControllerApi* | [**validate_bitbucket_account**](docs/UiAccountsControllerApi.md#validate_bitbucket_account) | **POST** /cc-ui/v1/accounts/bitbucket/validate | 
*UiAccountsControllerApi* | [**validate_gcp_account**](docs/UiAccountsControllerApi.md#validate_gcp_account) | **POST** /cc-ui/v1/accounts/gcp/validate | 
*UiAccountsControllerApi* | [**validate_github_account**](docs/UiAccountsControllerApi.md#validate_github_account) | **POST** /cc-ui/v1/accounts/github/validate | 
*UiAccountsControllerApi* | [**validate_gitlab_account**](docs/UiAccountsControllerApi.md#validate_gitlab_account) | **POST** /cc-ui/v1/accounts/gitlab/validate | 
*UiAccountsControllerApi* | [**validate_kubernetes_account**](docs/UiAccountsControllerApi.md#validate_kubernetes_account) | **POST** /cc-ui/v1/accounts/kubernetes/validate | 
*UiAlertsControllerApi* | [**delete_all**](docs/UiAlertsControllerApi.md#delete_all) | **DELETE** /cc-ui/v1/alerts | 
*UiAlertsControllerApi* | [**get_alerts_count**](docs/UiAlertsControllerApi.md#get_alerts_count) | **GET** /cc-ui/v1/alerts/firing/count | 
*UiAlertsControllerApi* | [**get_alerts_overview**](docs/UiAlertsControllerApi.md#get_alerts_overview) | **GET** /cc-ui/v1/alerts/firing/overview | 
*UiAlertsControllerApi* | [**get_cluster_alerts**](docs/UiAlertsControllerApi.md#get_cluster_alerts) | **GET** /cc-ui/v1/alerts/{clusterId}/all | 
*UiAlertsControllerApi* | [**get_firing_alerts**](docs/UiAlertsControllerApi.md#get_firing_alerts) | **GET** /cc-ui/v1/alerts/firing | 
*UiApplicationControllerApi* | [**abort**](docs/UiApplicationControllerApi.md#abort) | **PUT** /cc-ui/v1/clusters/{clusterId}/abort | 
*UiApplicationControllerApi* | [**cluster_sync_with_git**](docs/UiApplicationControllerApi.md#cluster_sync_with_git) | **POST** /cc-ui/v1/clusters/{clusterId}/sync-with-git | 
*UiApplicationControllerApi* | [**get_application_overrides**](docs/UiApplicationControllerApi.md#get_application_overrides) | **GET** /cc-ui/v1/clusters/{clusterId}/{resourceType}/{appName}/overrides | 
*UiApplicationControllerApi* | [**get_argo_rollout_info**](docs/UiApplicationControllerApi.md#get_argo_rollout_info) | **GET** /cc-ui/v1/clusters/{clusterId}/argo-info | 
*UiApplicationControllerApi* | [**get_deployed_commit_id_for_resource**](docs/UiApplicationControllerApi.md#get_deployed_commit_id_for_resource) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/deployed-commit-id | 
*UiApplicationControllerApi* | [**get_events**](docs/UiApplicationControllerApi.md#get_events) | **GET** /cc-ui/v1/clusters/{clusterId}/pods/{podName}/events | 
*UiApplicationControllerApi* | [**get_hpa**](docs/UiApplicationControllerApi.md#get_hpa) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceName/{applicationName}/hpa | 
*UiApplicationControllerApi* | [**get_ingresses**](docs/UiApplicationControllerApi.md#get_ingresses) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceName/{applicationName}/ingresses | 
*UiApplicationControllerApi* | [**get_resource_by_name**](docs/UiApplicationControllerApi.md#get_resource_by_name) | **GET** /cc-ui/v1/clusters/{clusterId}/{resourceType}/{appName} | 
*UiApplicationControllerApi* | [**get_resource_by_name_v2**](docs/UiApplicationControllerApi.md#get_resource_by_name_v2) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | 
*UiApplicationControllerApi* | [**get_resource_history**](docs/UiApplicationControllerApi.md#get_resource_history) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/resource-history | 
*UiApplicationControllerApi* | [**get_resource_out_properties**](docs/UiApplicationControllerApi.md#get_resource_out_properties) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/resource-out-properties | 
*UiApplicationControllerApi* | [**get_resource_override_object**](docs/UiApplicationControllerApi.md#get_resource_override_object) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/overrides | 
*UiApplicationControllerApi* | [**get_validations**](docs/UiApplicationControllerApi.md#get_validations) | **GET** /cc-ui/v1/clusters/{clusterId}/validation-errors | 
*UiApplicationControllerApi* | [**list_pods**](docs/UiApplicationControllerApi.md#list_pods) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceName/{applicationName}/pods | 
*UiApplicationControllerApi* | [**logs**](docs/UiApplicationControllerApi.md#logs) | **GET** /cc-ui/v1/clusters/{clusterId}/pods/{podName}/logs | 
*UiApplicationControllerApi* | [**post_resource_override_object**](docs/UiApplicationControllerApi.md#post_resource_override_object) | **POST** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/overrides | 
*UiApplicationControllerApi* | [**promote**](docs/UiApplicationControllerApi.md#promote) | **PUT** /cc-ui/v1/clusters/{clusterId}/promote | 
*UiApplicationControllerApi* | [**rolling_restart**](docs/UiApplicationControllerApi.md#rolling_restart) | **POST** /cc-ui/v1/clusters/{clusterId}/restart/{applicationName} | 
*UiApplicationControllerApi* | [**run_validation**](docs/UiApplicationControllerApi.md#run_validation) | **POST** /cc-ui/v1/clusters/{clusterId}/validate | 
*UiArtifactCiControllerApi* | [**bulk_edit_workflow**](docs/UiArtifactCiControllerApi.md#bulk_edit_workflow) | **POST** /cc-ui/v1/artifacts-ci/bulk-edit-workflow | 
*UiArtifactCiControllerApi* | [**create_artifact_ci**](docs/UiArtifactCiControllerApi.md#create_artifact_ci) | **POST** /cc-ui/v1/artifacts-ci | 
*UiArtifactCiControllerApi* | [**delete_artifact_ci**](docs/UiArtifactCiControllerApi.md#delete_artifact_ci) | **DELETE** /cc-ui/v1/artifacts-ci/{ciId} | 
*UiArtifactCiControllerApi* | [**get_all_artifacts_ci**](docs/UiArtifactCiControllerApi.md#get_all_artifacts_ci) | **GET** /cc-ui/v1/artifacts-ci | 
*UiArtifactCiControllerApi* | [**get_artifact_ci**](docs/UiArtifactCiControllerApi.md#get_artifact_ci) | **GET** /cc-ui/v1/artifacts-ci/{ciId} | 
*UiArtifactCiControllerApi* | [**get_artifact_ci_by_name**](docs/UiArtifactCiControllerApi.md#get_artifact_ci_by_name) | **GET** /cc-ui/v1/artifacts-ci/name/{ciName} | 
*UiArtifactCiControllerApi* | [**get_artifact_cis_by_stack**](docs/UiArtifactCiControllerApi.md#get_artifact_cis_by_stack) | **GET** /cc-ui/v1/artifacts-ci/blueprint/{stackName} | 
*UiArtifactCiControllerApi* | [**get_artifacts_for_ci**](docs/UiArtifactCiControllerApi.md#get_artifacts_for_ci) | **GET** /cc-ui/v1/artifacts-ci/{ciName}/artifacts | 
*UiArtifactCiControllerApi* | [**update_artifact_ci**](docs/UiArtifactCiControllerApi.md#update_artifact_ci) | **PUT** /cc-ui/v1/artifacts-ci/{ciId} | 
*UiArtifactHubControllerApi* | [**get_helm_values**](docs/UiArtifactHubControllerApi.md#get_helm_values) | **GET** /cc-ui/v1/artifactHub/packages/{packageId}/values | 
*UiArtifactHubControllerApi* | [**search_packages**](docs/UiArtifactHubControllerApi.md#search_packages) | **GET** /cc-ui/v1/artifactHub/search-packages | 
*UiArtifactRoutingRuleControllerApi* | [**add_artifact_routing_rule**](docs/UiArtifactRoutingRuleControllerApi.md#add_artifact_routing_rule) | **POST** /cc-ui/v1/artifact-routing-rule | 
*UiArtifactRoutingRuleControllerApi* | [**delete_artifact_routing_rule**](docs/UiArtifactRoutingRuleControllerApi.md#delete_artifact_routing_rule) | **DELETE** /cc-ui/v1/artifact-routing-rule/{ruleId} | 
*UiArtifactRoutingRuleControllerApi* | [**get_all_artifact_routing_rules**](docs/UiArtifactRoutingRuleControllerApi.md#get_all_artifact_routing_rules) | **GET** /cc-ui/v1/artifact-routing-rule | 
*UiArtifactRoutingRuleControllerApi* | [**get_all_operators**](docs/UiArtifactRoutingRuleControllerApi.md#get_all_operators) | **GET** /cc-ui/v1/artifact-routing-rule/operators | 
*UiArtifactRoutingRuleControllerApi* | [**get_artifact_routing_rule**](docs/UiArtifactRoutingRuleControllerApi.md#get_artifact_routing_rule) | **GET** /cc-ui/v1/artifact-routing-rule/{ruleId} | 
*UiArtifactRoutingRuleControllerApi* | [**test_rule_for_branch_name**](docs/UiArtifactRoutingRuleControllerApi.md#test_rule_for_branch_name) | **POST** /cc-ui/v1/artifact-routing-rule/test | 
*UiArtifactRoutingRuleControllerApi* | [**update_artifact_routing_rule**](docs/UiArtifactRoutingRuleControllerApi.md#update_artifact_routing_rule) | **PUT** /cc-ui/v1/artifact-routing-rule | 
*UiArtifactoryControllerApi* | [**associate_stacks**](docs/UiArtifactoryControllerApi.md#associate_stacks) | **POST** /cc-ui/v1/artifactories/{artifactoryId}/associate-projects | 
*UiArtifactoryControllerApi* | [**create_artifactory_mirror**](docs/UiArtifactoryControllerApi.md#create_artifactory_mirror) | **POST** /cc-ui/v1/artifactories/mirrors | 
*UiArtifactoryControllerApi* | [**create_basic_docker_artifactory**](docs/UiArtifactoryControllerApi.md#create_basic_docker_artifactory) | **POST** /cc-ui/v1/artifactories/others | 
*UiArtifactoryControllerApi* | [**create_ecr_artifactory**](docs/UiArtifactoryControllerApi.md#create_ecr_artifactory) | **POST** /cc-ui/v1/artifactories | 
*UiArtifactoryControllerApi* | [**delete_artifactory**](docs/UiArtifactoryControllerApi.md#delete_artifactory) | **DELETE** /cc-ui/v1/artifactories/v2/{artifactoryId} | 
*UiArtifactoryControllerApi* | [**delete_ecr_artifactory**](docs/UiArtifactoryControllerApi.md#delete_ecr_artifactory) | **DELETE** /cc-ui/v1/artifactories/{artifactoryId} | 
*UiArtifactoryControllerApi* | [**get_all_artifactories**](docs/UiArtifactoryControllerApi.md#get_all_artifactories) | **GET** /cc-ui/v1/artifactories | 
*UiArtifactoryControllerApi* | [**get_all_artifactories_for_stack**](docs/UiArtifactoryControllerApi.md#get_all_artifactories_for_stack) | **GET** /cc-ui/v1/artifactories/stack/{stackName} | 
*UiArtifactoryControllerApi* | [**get_artifactory_by_id**](docs/UiArtifactoryControllerApi.md#get_artifactory_by_id) | **GET** /cc-ui/v1/artifactories/{artifactoryId} | 
*UiArtifactoryControllerApi* | [**get_artifactory_by_name**](docs/UiArtifactoryControllerApi.md#get_artifactory_by_name) | **GET** /cc-ui/v1/artifactories/name/{name} | 
*UiArtifactoryControllerApi* | [**get_repositories**](docs/UiArtifactoryControllerApi.md#get_repositories) | **GET** /cc-ui/v1/artifactories/{artifactoryId}/repos | 
*UiArtifactoryControllerApi* | [**get_repositories_by_artifactory_name**](docs/UiArtifactoryControllerApi.md#get_repositories_by_artifactory_name) | **GET** /cc-ui/v1/artifactories/name/{name}/repos | 
*UiArtifactoryControllerApi* | [**get_tags**](docs/UiArtifactoryControllerApi.md#get_tags) | **GET** /cc-ui/v1/artifactories/{artifactoryId}/tags | 
*UiArtifactoryControllerApi* | [**get_tags_by_artifactory_name**](docs/UiArtifactoryControllerApi.md#get_tags_by_artifactory_name) | **GET** /cc-ui/v1/artifactories/name/{name}/tags | 
*UiArtifactoryControllerApi* | [**request_artifactory_linking**](docs/UiArtifactoryControllerApi.md#request_artifactory_linking) | **POST** /cc-ui/v1/artifactories/link-container-registry | 
*UiArtifactoryControllerApi* | [**update_basic_docker_artifactory**](docs/UiArtifactoryControllerApi.md#update_basic_docker_artifactory) | **POST** /cc-ui/v1/artifactories/others/{artifactoryId} | 
*UiArtifactoryControllerApi* | [**update_ecr_artifactory**](docs/UiArtifactoryControllerApi.md#update_ecr_artifactory) | **POST** /cc-ui/v1/artifactories/{artifactoryId} | 
*UiArtifactsControllerApi* | [**attach_image_via_register**](docs/UiArtifactsControllerApi.md#attach_image_via_register) | **POST** /cc-ui/v1/artifacts/attach-image-via-register | 
*UiArtifactsControllerApi* | [**delete_artifact**](docs/UiArtifactsControllerApi.md#delete_artifact) | **DELETE** /cc-ui/v1/artifacts/{artifactId} | 
*UiArtifactsControllerApi* | [**generate_artifact_push_credentials1**](docs/UiArtifactsControllerApi.md#generate_artifact_push_credentials1) | **POST** /cc-ui/v1/artifacts/pushCredentials/{stackName}/{appName} | 
*UiArtifactsControllerApi* | [**generate_artifact_push_credentials_v2**](docs/UiArtifactsControllerApi.md#generate_artifact_push_credentials_v2) | **POST** /cc-ui/v1/artifacts/pushCredentialsV2/artifactName/{artifactName}/registrationType/{registrationType}/value/{registrationValue} | 
*UiArtifactsControllerApi* | [**generate_artifact_push_credentials_v3**](docs/UiArtifactsControllerApi.md#generate_artifact_push_credentials_v3) | **POST** /cc-ui/v1/artifacts/pushCredentialsV3/artifactName/{artifactName} | 
*UiArtifactsControllerApi* | [**get_all5**](docs/UiArtifactsControllerApi.md#get_all5) | **GET** /cc-ui/v1/artifacts | 
*UiArtifactsControllerApi* | [**get_artifact_by_application_name**](docs/UiArtifactsControllerApi.md#get_artifact_by_application_name) | **GET** /cc-ui/v1/artifacts/cluster/{clusterId}/application/{applicationName} | 
*UiArtifactsControllerApi* | [**get_artifact_by_cluster_id**](docs/UiArtifactsControllerApi.md#get_artifact_by_cluster_id) | **GET** /cc-ui/v1/artifacts/{clusterId} | 
*UiArtifactsControllerApi* | [**get_artifacts_by_resource_name_and_resource_type**](docs/UiArtifactsControllerApi.md#get_artifacts_by_resource_name_and_resource_type) | **GET** /cc-ui/v1/artifacts/cluster/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | 
*UiArtifactsControllerApi* | [**get_metadata_keys**](docs/UiArtifactsControllerApi.md#get_metadata_keys) | **GET** /cc-ui/v1/artifacts/metadata/keys | 
*UiArtifactsControllerApi* | [**promote_artifact**](docs/UiArtifactsControllerApi.md#promote_artifact) | **POST** /cc-ui/v1/artifacts/{ciId}/promote/{artifactId} | 
*UiArtifactsControllerApi* | [**promote_artifact_by_artifact_ci_name**](docs/UiArtifactsControllerApi.md#promote_artifact_by_artifact_ci_name) | **POST** /cc-ui/v1/artifacts/promote | 
*UiArtifactsControllerApi* | [**push_artifact**](docs/UiArtifactsControllerApi.md#push_artifact) | **POST** /cc-ui/v1/artifacts/push | 
*UiArtifactsControllerApi* | [**reclassify_artifacts**](docs/UiArtifactsControllerApi.md#reclassify_artifacts) | **PUT** /cc-ui/v1/artifacts/reclassify | 
*UiArtifactsControllerApi* | [**register_artifact**](docs/UiArtifactsControllerApi.md#register_artifact) | **POST** /cc-ui/v1/artifacts/register | 
*UiArtifactsControllerApi* | [**register_artifact_by_env**](docs/UiArtifactsControllerApi.md#register_artifact_by_env) | **POST** /cc-ui/v1/artifacts/register-by-env | 
*UiArtifactsControllerApi* | [**register_artifact_by_release_stream**](docs/UiArtifactsControllerApi.md#register_artifact_by_release_stream) | **POST** /cc-ui/v1/artifacts/register-by-release-stream | 
*UiArtifactsControllerApi* | [**register_artifact_saas1**](docs/UiArtifactsControllerApi.md#register_artifact_saas1) | **POST** /cc-ui/v1/artifacts/register-saas | 
*UiArtifactsControllerApi* | [**register_artifact_v2**](docs/UiArtifactsControllerApi.md#register_artifact_v2) | **POST** /cc-ui/v1/artifacts/registerV2 | 
*UiArtifactsControllerApi* | [**update_release_stream**](docs/UiArtifactsControllerApi.md#update_release_stream) | **POST** /cc-ui/v1/artifacts/clusterId/{clusterId}/currentReleaseStream/{currentReleaseStream}/updatedReleaseStream/{updatedReleaseStream}/updateStream | 
*UiArtifactsControllerApi* | [**upload_artifacts_zip**](docs/UiArtifactsControllerApi.md#upload_artifacts_zip) | **POST** /cc-ui/v1/artifacts/upload | 
*UiAssistantControllerApi* | [**continue_chat**](docs/UiAssistantControllerApi.md#continue_chat) | **POST** /cc-ui/v2/assistant/chat | Continue Chat
*UiAssistantControllerApi* | [**create_thread**](docs/UiAssistantControllerApi.md#create_thread) | **GET** /cc-ui/v2/assistant/thread | 
*UiAssistantControllerApi* | [**get_chat**](docs/UiAssistantControllerApi.md#get_chat) | **POST** /cc-ui/v2/assistant/{threadId}/getChat | 
*UiAuditLogsControllerApi* | [**get_audit_logs**](docs/UiAuditLogsControllerApi.md#get_audit_logs) | **GET** /cc-ui/v1/audit-logs | 
*UiAwsClusterControllerApi* | [**configure_draft_cluster2**](docs/UiAwsClusterControllerApi.md#configure_draft_cluster2) | **POST** /cc-ui/v1/aws/clusters/configure/{clusterId} | 
*UiAwsClusterControllerApi* | [**create_cluster_using_post2**](docs/UiAwsClusterControllerApi.md#create_cluster_using_post2) | **POST** /cc-ui/v1/aws/clusters | Create a new Environment for a blueprint
*UiAwsClusterControllerApi* | [**get_cluster_using_get2**](docs/UiAwsClusterControllerApi.md#get_cluster_using_get2) | **GET** /cc-ui/v1/aws/clusters/{clusterId} | 
*UiAwsClusterControllerApi* | [**onboard_customer**](docs/UiAwsClusterControllerApi.md#onboard_customer) | **POST** /cc-ui/v1/aws/clusters/onboard-customer | 
*UiAwsClusterControllerApi* | [**update_cluster_using_put2**](docs/UiAwsClusterControllerApi.md#update_cluster_using_put2) | **PUT** /cc-ui/v1/aws/clusters/{clusterId} | 
*UiAwsClusterControllerApi* | [**validate_vpc_id1**](docs/UiAwsClusterControllerApi.md#validate_vpc_id1) | **GET** /cc-ui/v1/aws/clusters/validate-vpcId | 
*UiAzureClusterControllerApi* | [**configure_draft_cluster1**](docs/UiAzureClusterControllerApi.md#configure_draft_cluster1) | **POST** /cc-ui/v1/azure/clusters/configure/{clusterId} | 
*UiAzureClusterControllerApi* | [**create_azure_cluster**](docs/UiAzureClusterControllerApi.md#create_azure_cluster) | **POST** /cc-ui/v1/azure/clusters | 
*UiAzureClusterControllerApi* | [**get_azure_cluster**](docs/UiAzureClusterControllerApi.md#get_azure_cluster) | **GET** /cc-ui/v1/azure/clusters/{clusterId} | 
*UiAzureClusterControllerApi* | [**update_azure_cluster**](docs/UiAzureClusterControllerApi.md#update_azure_cluster) | **PUT** /cc-ui/v1/azure/clusters/{clusterId} | 
*UiAzureClusterControllerApi* | [**validate_vnet**](docs/UiAzureClusterControllerApi.md#validate_vnet) | **GET** /cc-ui/v1/azure/clusters/validate-vnet | 
*UiBillingControllerApi* | [**buy_support_plan**](docs/UiBillingControllerApi.md#buy_support_plan) | **POST** /cc-ui/v1/billing/buy-support-plan | 
*UiBillingControllerApi* | [**get_billing_metadata**](docs/UiBillingControllerApi.md#get_billing_metadata) | **GET** /cc-ui/v1/billing/metadata | 
*UiBillingControllerApi* | [**report_usage**](docs/UiBillingControllerApi.md#report_usage) | **GET** /cc-ui/v1/billing/report-usage | 
*UiBillingControllerApi* | [**start_stripe_customer_portal_session**](docs/UiBillingControllerApi.md#start_stripe_customer_portal_session) | **GET** /cc-ui/v1/billing/manage-billing | 
*UiBlueprintDesignerControllerApi* | [**add_variables**](docs/UiBlueprintDesignerControllerApi.md#add_variables) | **POST** /cc-ui/v1/designer/{stackName}/variables | 
*UiBlueprintDesignerControllerApi* | [**apply_template**](docs/UiBlueprintDesignerControllerApi.md#apply_template) | **POST** /cc-ui/v1/designer/{stackName}/{templateName}/apply | 
*UiBlueprintDesignerControllerApi* | [**bulk_edit_disabled_for_resources**](docs/UiBlueprintDesignerControllerApi.md#bulk_edit_disabled_for_resources) | **PUT** /cc-ui/v1/designer/{stackName}/resource-enable-disable | 
*UiBlueprintDesignerControllerApi* | [**bulk_edit_disabled_for_resources1**](docs/UiBlueprintDesignerControllerApi.md#bulk_edit_disabled_for_resources1) | **PUT** /cc-ui/v1/designer/{stackName}/branch/{branch}/resource-enable-disable | 
*UiBlueprintDesignerControllerApi* | [**create_branch**](docs/UiBlueprintDesignerControllerApi.md#create_branch) | **POST** /cc-ui/v1/designer/{stackName}/{branch}/create-branch | 
*UiBlueprintDesignerControllerApi* | [**create_resources**](docs/UiBlueprintDesignerControllerApi.md#create_resources) | **POST** /cc-ui/v1/designer/{stackName}/branch/{branch} | 
*UiBlueprintDesignerControllerApi* | [**delete_resources**](docs/UiBlueprintDesignerControllerApi.md#delete_resources) | **DELETE** /cc-ui/v1/designer/{stackName}/branch/{branch} | 
*UiBlueprintDesignerControllerApi* | [**delete_variables**](docs/UiBlueprintDesignerControllerApi.md#delete_variables) | **DELETE** /cc-ui/v1/designer/{stackName}/variables | 
*UiBlueprintDesignerControllerApi* | [**get_add_on_modules**](docs/UiBlueprintDesignerControllerApi.md#get_add_on_modules) | **GET** /cc-ui/v1/designer/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/add-ons | Get add ons for this resource
*UiBlueprintDesignerControllerApi* | [**get_autocomplete_data**](docs/UiBlueprintDesignerControllerApi.md#get_autocomplete_data) | **GET** /cc-ui/v1/designer/{stackName}/ref-autocomplete-data | 
*UiBlueprintDesignerControllerApi* | [**get_autocomplete_data_v2**](docs/UiBlueprintDesignerControllerApi.md#get_autocomplete_data_v2) | **GET** /cc-ui/v1/designer/{stackName}/ref-autocomplete-data-v2 | Get autocomplete data with module-specific output trees
*UiBlueprintDesignerControllerApi* | [**get_designer_resources**](docs/UiBlueprintDesignerControllerApi.md#get_designer_resources) | **GET** /cc-ui/v1/designer/{stackName}/{branchName}/files | 
*UiBlueprintDesignerControllerApi* | [**get_module_inputs**](docs/UiBlueprintDesignerControllerApi.md#get_module_inputs) | **GET** /cc-ui/v1/designer/{stackName}/intent/{intent}/flavor/{flavor}/input | 
*UiBlueprintDesignerControllerApi* | [**get_pull_requests**](docs/UiBlueprintDesignerControllerApi.md#get_pull_requests) | **GET** /cc-ui/v1/designer/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/pulls | 
*UiBlueprintDesignerControllerApi* | [**get_pull_requests1**](docs/UiBlueprintDesignerControllerApi.md#get_pull_requests1) | **GET** /cc-ui/v1/designer/{stackName}/pulls | 
*UiBlueprintDesignerControllerApi* | [**get_schema_metadata**](docs/UiBlueprintDesignerControllerApi.md#get_schema_metadata) | **GET** /cc-ui/v1/designer/facets-components | 
*UiBlueprintDesignerControllerApi* | [**get_workflow_runs**](docs/UiBlueprintDesignerControllerApi.md#get_workflow_runs) | **GET** /cc-ui/v1/designer/{stackName}/workflow-runs | 
*UiBlueprintDesignerControllerApi* | [**get_workflow_runs1**](docs/UiBlueprintDesignerControllerApi.md#get_workflow_runs1) | **GET** /cc-ui/v1/designer/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/workflow-runs | 
*UiBlueprintDesignerControllerApi* | [**get_workflows**](docs/UiBlueprintDesignerControllerApi.md#get_workflows) | **GET** /cc-ui/v1/designer/{stackName}/workflows | 
*UiBlueprintDesignerControllerApi* | [**get_workflows1**](docs/UiBlueprintDesignerControllerApi.md#get_workflows1) | **GET** /cc-ui/v1/designer/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/workflows | 
*UiBlueprintDesignerControllerApi* | [**list_branches**](docs/UiBlueprintDesignerControllerApi.md#list_branches) | **GET** /cc-ui/v1/designer/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/branch-list | 
*UiBlueprintDesignerControllerApi* | [**list_branches1**](docs/UiBlueprintDesignerControllerApi.md#list_branches1) | **GET** /cc-ui/v1/designer/{stackName}/branch-list | 
*UiBlueprintDesignerControllerApi* | [**list_providers_exposed_by_module**](docs/UiBlueprintDesignerControllerApi.md#list_providers_exposed_by_module) | **GET** /cc-ui/v1/designer/{stackName}/intent/{intent}/flavor/{flavor}/output-providers | 
*UiBlueprintDesignerControllerApi* | [**rename_resource**](docs/UiBlueprintDesignerControllerApi.md#rename_resource) | **PUT** /cc-ui/v1/designer/{stackName}/branch/{branch}/rename | 
*UiBlueprintDesignerControllerApi* | [**sync_specified_blueprints_with_templates**](docs/UiBlueprintDesignerControllerApi.md#sync_specified_blueprints_with_templates) | **POST** /cc-ui/v1/designer/{templateName}/sync | 
*UiBlueprintDesignerControllerApi* | [**update_resources**](docs/UiBlueprintDesignerControllerApi.md#update_resources) | **PUT** /cc-ui/v1/designer/{stackName}/branch/{branch} | 
*UiBlueprintDesignerControllerApi* | [**update_variables**](docs/UiBlueprintDesignerControllerApi.md#update_variables) | **PUT** /cc-ui/v1/designer/{stackName}/variables | 
*UiCiCdControllerApi* | [**attach_rule_and_workflow**](docs/UiCiCdControllerApi.md#attach_rule_and_workflow) | **PUT** /cc-ui/v1/ci-cd/attach | Attach Rule and Workflow
*UiCiCdControllerApi* | [**detach_rule_and_workflow**](docs/UiCiCdControllerApi.md#detach_rule_and_workflow) | **PUT** /cc-ui/v1/ci-cd/detach | Detach Rule and Workflow
*UiCiCdControllerApi* | [**generate_artifact_push_credentials**](docs/UiCiCdControllerApi.md#generate_artifact_push_credentials) | **POST** /cc-ui/v1/ci-cd/pushCredentials | Generate Artifact Push Credentials
*UiCiCdControllerApi* | [**get_ci_cd_details**](docs/UiCiCdControllerApi.md#get_ci_cd_details) | **GET** /cc-ui/v1/ci-cd/{stackName} | Get CI/CD Details
*UiCiCdControllerApi* | [**register_artifact_saas**](docs/UiCiCdControllerApi.md#register_artifact_saas) | **POST** /cc-ui/v1/ci-cd/register | Register Artifact SaaS
*UiCiCdControllerApi* | [**save_ci_cd_details**](docs/UiCiCdControllerApi.md#save_ci_cd_details) | **POST** /cc-ui/v1/ci-cd | Save CI/CD Details
*UiCloudCostExplorerControllerApi* | [**get_daily_cloud_cost**](docs/UiCloudCostExplorerControllerApi.md#get_daily_cloud_cost) | **GET** /cc-ui/v1/cost-explorer/stack/{stackName}/daily-cost | 
*UiCloudCostExplorerControllerApi* | [**get_service_wise_cost**](docs/UiCloudCostExplorerControllerApi.md#get_service_wise_cost) | **GET** /cc-ui/v1/cost-explorer/service-wise-cost/{clusterId} | 
*UiCloudCostExplorerControllerApi* | [**is_aws_cost_explorer_enabled**](docs/UiCloudCostExplorerControllerApi.md#is_aws_cost_explorer_enabled) | **GET** /cc-ui/v1/cost-explorer/aws/enabled | 
*UiCloudCostExplorerControllerApi* | [**sync_cloud_cost**](docs/UiCloudCostExplorerControllerApi.md#sync_cloud_cost) | **GET** /cc-ui/v1/cost-explorer/sync-cost | 
*UiCoderControllerApi* | [**create_workspace_with_existing_branch**](docs/UiCoderControllerApi.md#create_workspace_with_existing_branch) | **POST** /cc-ui/v1/coder/stack/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/existing-branch | 
*UiCoderControllerApi* | [**create_workspace_with_existing_branch1**](docs/UiCoderControllerApi.md#create_workspace_with_existing_branch1) | **POST** /cc-ui/v1/coder/stack/{stackName}/existing-branch | 
*UiCoderControllerApi* | [**create_workspace_with_new_branch**](docs/UiCoderControllerApi.md#create_workspace_with_new_branch) | **POST** /cc-ui/v1/coder/stack/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/new-branch | 
*UiCoderControllerApi* | [**create_workspace_with_new_branch1**](docs/UiCoderControllerApi.md#create_workspace_with_new_branch1) | **POST** /cc-ui/v1/coder/stack/{stackName}/new-branch | 
*UiCoderControllerApi* | [**get_all3**](docs/UiCoderControllerApi.md#get_all3) | **GET** /cc-ui/v1/coder/stack/{stackName}/workspaces | 
*UiCoderControllerApi* | [**get_all4**](docs/UiCoderControllerApi.md#get_all4) | **GET** /cc-ui/v1/coder/stack/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/workspaces | 
*UiCoderControllerApi* | [**identify_coder_launch_eligible**](docs/UiCoderControllerApi.md#identify_coder_launch_eligible) | **GET** /cc-ui/v1/coder/stack/{stackName}/coder-eligibility | 
*UiCommonClusterControllerApi* | [**add_cluster_schedules**](docs/UiCommonClusterControllerApi.md#add_cluster_schedules) | **POST** /cc-ui/v1/clusters/{clusterId}/schedule | 
*UiCommonClusterControllerApi* | [**add_tools_config**](docs/UiCommonClusterControllerApi.md#add_tools_config) | **POST** /cc-ui/v1/clusters/{clusterId}/tools-config | 
*UiCommonClusterControllerApi* | [**attach_image**](docs/UiCommonClusterControllerApi.md#attach_image) | **POST** /cc-ui/v1/clusters/{clusterId}/attach-image | 
*UiCommonClusterControllerApi* | [**bulk_enable_disable_resources**](docs/UiCommonClusterControllerApi.md#bulk_enable_disable_resources) | **PUT** /cc-ui/v1/clusters/{clusterId}/resource-enable-disable | 
*UiCommonClusterControllerApi* | [**copy_configurations_selective**](docs/UiCommonClusterControllerApi.md#copy_configurations_selective) | **PUT** /cc-ui/v1/clusters/{clusterId}/copy-configurations-selective | Copy configurations from one cluster to another selectively
*UiCommonClusterControllerApi* | [**create_availability_schedule**](docs/UiCommonClusterControllerApi.md#create_availability_schedule) | **POST** /cc-ui/v1/clusters/{clusterId}/availability-schedule | 
*UiCommonClusterControllerApi* | [**create_draft_cluster1**](docs/UiCommonClusterControllerApi.md#create_draft_cluster1) | **POST** /cc-ui/v1/clusters/draft-cluster | 
*UiCommonClusterControllerApi* | [**create_template_inputs**](docs/UiCommonClusterControllerApi.md#create_template_inputs) | **POST** /cc-ui/v1/clusters/{clusterId}/templateInputs/{inputType}/items | 
*UiCommonClusterControllerApi* | [**delete_availability_schedule**](docs/UiCommonClusterControllerApi.md#delete_availability_schedule) | **DELETE** /cc-ui/v1/clusters/{clusterId}/availability-schedule/{availabilityScheduleId} | 
*UiCommonClusterControllerApi* | [**delete_cluster**](docs/UiCommonClusterControllerApi.md#delete_cluster) | **DELETE** /cc-ui/v1/clusters/{clusterId} | 
*UiCommonClusterControllerApi* | [**delete_cluster_force**](docs/UiCommonClusterControllerApi.md#delete_cluster_force) | **DELETE** /cc-ui/v1/clusters/{clusterId}/force | 
*UiCommonClusterControllerApi* | [**delete_cluster_schedule**](docs/UiCommonClusterControllerApi.md#delete_cluster_schedule) | **DELETE** /cc-ui/v1/clusters/{clusterId}/schedule/{clusterScheduleId} | 
*UiCommonClusterControllerApi* | [**delete_overrides**](docs/UiCommonClusterControllerApi.md#delete_overrides) | **DELETE** /cc-ui/v1/clusters/{clusterId}/overrides/{resourceType}/{resourceName} | 
*UiCommonClusterControllerApi* | [**delete_template_inputs**](docs/UiCommonClusterControllerApi.md#delete_template_inputs) | **DELETE** /cc-ui/v1/clusters/{clusterId}/templateInputs/{inputType}/items/{uid} | 
*UiCommonClusterControllerApi* | [**delete_tools_config**](docs/UiCommonClusterControllerApi.md#delete_tools_config) | **DELETE** /cc-ui/v1/clusters/{clusterId}/tools-config | 
*UiCommonClusterControllerApi* | [**detach_image**](docs/UiCommonClusterControllerApi.md#detach_image) | **DELETE** /cc-ui/v1/clusters/{clusterId}/detachImage | 
*UiCommonClusterControllerApi* | [**edit_tools_config**](docs/UiCommonClusterControllerApi.md#edit_tools_config) | **PUT** /cc-ui/v1/clusters/{clusterId}/tools-config/{toolsConfigId} | 
*UiCommonClusterControllerApi* | [**get_alerts**](docs/UiCommonClusterControllerApi.md#get_alerts) | **GET** /cc-ui/v1/clusters/{clusterId}/alerts | 
*UiCommonClusterControllerApi* | [**get_all_template_inputs**](docs/UiCommonClusterControllerApi.md#get_all_template_inputs) | **GET** /cc-ui/v1/clusters/{clusterId}/templateInputs/ | 
*UiCommonClusterControllerApi* | [**get_availability_schedules**](docs/UiCommonClusterControllerApi.md#get_availability_schedules) | **GET** /cc-ui/v1/clusters/{clusterId}/availability-schedule | 
*UiCommonClusterControllerApi* | [**get_cluster_common**](docs/UiCommonClusterControllerApi.md#get_cluster_common) | **GET** /cc-ui/v1/clusters/{clusterId} | 
*UiCommonClusterControllerApi* | [**get_cluster_info**](docs/UiCommonClusterControllerApi.md#get_cluster_info) | **GET** /cc-ui/v1/clusters/{clusterId}/info | 
*UiCommonClusterControllerApi* | [**get_cluster_metadata**](docs/UiCommonClusterControllerApi.md#get_cluster_metadata) | **GET** /cc-ui/v1/clusters/{clusterId}/cluster-metadata | 
*UiCommonClusterControllerApi* | [**get_cluster_schedules**](docs/UiCommonClusterControllerApi.md#get_cluster_schedules) | **GET** /cc-ui/v1/clusters/{clusterId}/schedule | 
*UiCommonClusterControllerApi* | [**get_k8s_credentials**](docs/UiCommonClusterControllerApi.md#get_k8s_credentials) | **GET** /cc-ui/v1/clusters/{clusterId}/k8sCredentials | 
*UiCommonClusterControllerApi* | [**get_kube_config**](docs/UiCommonClusterControllerApi.md#get_kube_config) | **GET** /cc-ui/v1/clusters/{clusterId}/kubeconfig | 
*UiCommonClusterControllerApi* | [**get_matched_modules**](docs/UiCommonClusterControllerApi.md#get_matched_modules) | **GET** /cc-ui/v1/clusters/{clusterId}/match-modules | 
*UiCommonClusterControllerApi* | [**get_namespaces_in_use_by_dependent_clusters**](docs/UiCommonClusterControllerApi.md#get_namespaces_in_use_by_dependent_clusters) | **GET** /cc-ui/v1/clusters/{baseClusterId}/base-env-in-use-namespaces | 
*UiCommonClusterControllerApi* | [**get_open_alerts**](docs/UiCommonClusterControllerApi.md#get_open_alerts) | **GET** /cc-ui/v1/clusters/{clusterId}/open-alerts | 
*UiCommonClusterControllerApi* | [**get_overrides1**](docs/UiCommonClusterControllerApi.md#get_overrides1) | **GET** /cc-ui/v1/clusters/{clusterId}/overrides | 
*UiCommonClusterControllerApi* | [**get_provided_resources**](docs/UiCommonClusterControllerApi.md#get_provided_resources) | **GET** /cc-ui/v1/clusters/{clusterId}/providedResources | 
*UiCommonClusterControllerApi* | [**get_release_impacts**](docs/UiCommonClusterControllerApi.md#get_release_impacts) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/release-impacts | 
*UiCommonClusterControllerApi* | [**get_resource_stats**](docs/UiCommonClusterControllerApi.md#get_resource_stats) | **GET** /cc-ui/v1/clusters/{clusterId}/resource-stats | 
*UiCommonClusterControllerApi* | [**get_template_input_by_uid**](docs/UiCommonClusterControllerApi.md#get_template_input_by_uid) | **GET** /cc-ui/v1/clusters/{clusterId}/templateInputs/{inputType}/items/{uid} | 
*UiCommonClusterControllerApi* | [**get_template_inputs**](docs/UiCommonClusterControllerApi.md#get_template_inputs) | **GET** /cc-ui/v1/clusters/{clusterId}/templateInputs/{inputType}/items | 
*UiCommonClusterControllerApi* | [**get_tools_config**](docs/UiCommonClusterControllerApi.md#get_tools_config) | **GET** /cc-ui/v1/clusters/{clusterId}/tools-config | 
*UiCommonClusterControllerApi* | [**get_variable_counts**](docs/UiCommonClusterControllerApi.md#get_variable_counts) | **GET** /cc-ui/v1/clusters/{clusterId}/variable-counts | 
*UiCommonClusterControllerApi* | [**get_vars**](docs/UiCommonClusterControllerApi.md#get_vars) | **GET** /cc-ui/v1/clusters/{clusterId}/vars | 
*UiCommonClusterControllerApi* | [**get_vars_with_secrets**](docs/UiCommonClusterControllerApi.md#get_vars_with_secrets) | **GET** /cc-ui/v1/clusters/{clusterId}/vars-with-secrets | 
*UiCommonClusterControllerApi* | [**get_vars_with_status**](docs/UiCommonClusterControllerApi.md#get_vars_with_status) | **GET** /cc-ui/v1/clusters/{clusterId}/varsWithStatus | 
*UiCommonClusterControllerApi* | [**get_vpn_profile**](docs/UiCommonClusterControllerApi.md#get_vpn_profile) | **GET** /cc-ui/v1/clusters/{clusterId}/vpn-profile | 
*UiCommonClusterControllerApi* | [**override_sizing**](docs/UiCommonClusterControllerApi.md#override_sizing) | **POST** /cc-ui/v1/clusters/{clusterId}/overrides | 
*UiCommonClusterControllerApi* | [**pause_release**](docs/UiCommonClusterControllerApi.md#pause_release) | **POST** /cc-ui/v1/clusters/{clusterId}/pause-release | 
*UiCommonClusterControllerApi* | [**refresh_kube_config**](docs/UiCommonClusterControllerApi.md#refresh_kube_config) | **GET** /cc-ui/v1/clusters/{clusterId}/kubeconfig/refresh | 
*UiCommonClusterControllerApi* | [**remove_silence**](docs/UiCommonClusterControllerApi.md#remove_silence) | **DELETE** /cc-ui/v1/clusters/{clusterId}/alerts/silence/{silenceId} | 
*UiCommonClusterControllerApi* | [**resource_details**](docs/UiCommonClusterControllerApi.md#resource_details) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceDetails | 
*UiCommonClusterControllerApi* | [**set_cluster_code**](docs/UiCommonClusterControllerApi.md#set_cluster_code) | **POST** /cc-ui/v1/clusters/{clusterId}/setClusterCode | 
*UiCommonClusterControllerApi* | [**silence_alerts**](docs/UiCommonClusterControllerApi.md#silence_alerts) | **POST** /cc-ui/v1/clusters/{clusterId}/silence-alerts | 
*UiCommonClusterControllerApi* | [**update_availability_schedules**](docs/UiCommonClusterControllerApi.md#update_availability_schedules) | **PUT** /cc-ui/v1/clusters/{clusterId}/availability-schedule/{scheduleId} | 
*UiCommonClusterControllerApi* | [**update_cluster_branch**](docs/UiCommonClusterControllerApi.md#update_cluster_branch) | **PATCH** /cc-ui/v1/clusters/{clusterId}/branch | 
*UiCommonClusterControllerApi* | [**update_cluster_schedules**](docs/UiCommonClusterControllerApi.md#update_cluster_schedules) | **PUT** /cc-ui/v1/clusters/{clusterId}/schedule/{clusterScheduleId} | 
*UiCommonClusterControllerApi* | [**update_draft_cluster**](docs/UiCommonClusterControllerApi.md#update_draft_cluster) | **PUT** /cc-ui/v1/clusters/draft-cluster/{clusterId} | 
*UiCommonClusterControllerApi* | [**update_template_input**](docs/UiCommonClusterControllerApi.md#update_template_input) | **PUT** /cc-ui/v1/clusters/{clusterId}/templateInputs/{inputType}/items/{uid} | 
*UiCommonClusterControllerApi* | [**upsert_provided_resources**](docs/UiCommonClusterControllerApi.md#upsert_provided_resources) | **POST** /cc-ui/v1/clusters/{clusterId}/providedResources | 
*UiCommonClusterControllerApi* | [**upsert_vars**](docs/UiCommonClusterControllerApi.md#upsert_vars) | **POST** /cc-ui/v1/clusters/{clusterId}/vars/upsert | 
*UiCustomContentControllerApi* | [**create_content_file**](docs/UiCustomContentControllerApi.md#create_content_file) | **POST** /cc-ui/v1/content/files | 
*UiCustomContentControllerApi* | [**delete_content_file**](docs/UiCustomContentControllerApi.md#delete_content_file) | **DELETE** /cc-ui/v1/content/files/{contentId} | 
*UiCustomContentControllerApi* | [**get_content_files_by_selectors**](docs/UiCustomContentControllerApi.md#get_content_files_by_selectors) | **GET** /cc-ui/v1/content/files/selectors/{contentType} | 
*UiCustomContentControllerApi* | [**render_content**](docs/UiCustomContentControllerApi.md#render_content) | **POST** /cc-ui/v1/content/files/{contentId}/render | 
*UiCustomContentControllerApi* | [**update_content_file**](docs/UiCustomContentControllerApi.md#update_content_file) | **PUT** /cc-ui/v1/content/files/{contentId} | 
*UiCustomRoleControllerApi* | [**create_custom_role**](docs/UiCustomRoleControllerApi.md#create_custom_role) | **POST** /cc-ui/v1/custom-role | 
*UiCustomRoleControllerApi* | [**delete_custom_role**](docs/UiCustomRoleControllerApi.md#delete_custom_role) | **DELETE** /cc-ui/v1/custom-role/{roleName} | 
*UiCustomRoleControllerApi* | [**get_all_custom_roles**](docs/UiCustomRoleControllerApi.md#get_all_custom_roles) | **GET** /cc-ui/v1/custom-role | 
*UiCustomRoleControllerApi* | [**get_all_roles**](docs/UiCustomRoleControllerApi.md#get_all_roles) | **GET** /cc-ui/v1/custom-role/roles | 
*UiCustomRoleControllerApi* | [**get_custom_role**](docs/UiCustomRoleControllerApi.md#get_custom_role) | **GET** /cc-ui/v1/custom-role/{roleName} | 
*UiCustomRoleControllerApi* | [**update_custom_role**](docs/UiCustomRoleControllerApi.md#update_custom_role) | **PUT** /cc-ui/v1/custom-role/{roleName} | 
*UiDeliveryPipelineControllerApi* | [**get_delivery_pipeline**](docs/UiDeliveryPipelineControllerApi.md#get_delivery_pipeline) | **GET** /cc-ui/v1/delivery-pipeline/{stackName} | 
*UiDeliveryPipelineControllerApi* | [**update_delivery_pipeline**](docs/UiDeliveryPipelineControllerApi.md#update_delivery_pipeline) | **PUT** /cc-ui/v1/delivery-pipeline/{stackName} | 
*UiDeploymentControllerApi* | [**abort_automation_suite**](docs/UiDeploymentControllerApi.md#abort_automation_suite) | **DELETE** /cc-ui/v1/clusters/{clusterId}/deployments/qa/{executionId}/abortSuite | 
*UiDeploymentControllerApi* | [**approve_release**](docs/UiDeploymentControllerApi.md#approve_release) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/approveRelease | 
*UiDeploymentControllerApi* | [**clean_s3_sources**](docs/UiDeploymentControllerApi.md#clean_s3_sources) | **DELETE** /cc-ui/v1/clusters/{clusterId}/deployments/clean-s3-sources | 
*UiDeploymentControllerApi* | [**create_deployment**](docs/UiDeploymentControllerApi.md#create_deployment) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments | 
*UiDeploymentControllerApi* | [**destroy_cluster**](docs/UiDeploymentControllerApi.md#destroy_cluster) | **DELETE** /cc-ui/v1/clusters/{clusterId}/deployments/destroy | 
*UiDeploymentControllerApi* | [**download_terraform_export**](docs/UiDeploymentControllerApi.md#download_terraform_export) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/download-terraform-export | 
*UiDeploymentControllerApi* | [**get_cluster_state**](docs/UiDeploymentControllerApi.md#get_cluster_state) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/state | 
*UiDeploymentControllerApi* | [**get_deployment**](docs/UiDeploymentControllerApi.md#get_deployment) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId} | 
*UiDeploymentControllerApi* | [**get_deployment_by_release_trace_id**](docs/UiDeploymentControllerApi.md#get_deployment_by_release_trace_id) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/trace-id/{releaseTraceId} | 
*UiDeploymentControllerApi* | [**get_deployment_logs**](docs/UiDeploymentControllerApi.md#get_deployment_logs) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/logs | 
*UiDeploymentControllerApi* | [**get_deployment_stats**](docs/UiDeploymentControllerApi.md#get_deployment_stats) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/stats | 
*UiDeploymentControllerApi* | [**get_deployments**](docs/UiDeploymentControllerApi.md#get_deployments) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments | 
*UiDeploymentControllerApi* | [**get_deployments_overview**](docs/UiDeploymentControllerApi.md#get_deployments_overview) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/overview | 
*UiDeploymentControllerApi* | [**get_latest_release**](docs/UiDeploymentControllerApi.md#get_latest_release) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/latest-successful-release | 
*UiDeploymentControllerApi* | [**get_latest_release_by_application**](docs/UiDeploymentControllerApi.md#get_latest_release_by_application) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/latest-successful-release/{application} | 
*UiDeploymentControllerApi* | [**get_release_changes**](docs/UiDeploymentControllerApi.md#get_release_changes) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/release-changes | 
*UiDeploymentControllerApi* | [**launch_cluster**](docs/UiDeploymentControllerApi.md#launch_cluster) | **PUT** /cc-ui/v1/clusters/{clusterId}/deployments/launch | 
*UiDeploymentControllerApi* | [**reject_release**](docs/UiDeploymentControllerApi.md#reject_release) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/rejectRelease | 
*UiDeploymentControllerApi* | [**release**](docs/UiDeploymentControllerApi.md#release) | **PUT** /cc-ui/v1/clusters/{clusterId}/deployments/release | 
*UiDeploymentControllerApi* | [**release_v2**](docs/UiDeploymentControllerApi.md#release_v2) | **PUT** /cc-ui/v1/clusters/{clusterId}/deployments/releaseV2/{releaseType} | 
*UiDeploymentControllerApi* | [**run_hotfix_deployment_recipe**](docs/UiDeploymentControllerApi.md#run_hotfix_deployment_recipe) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/recipes/deployment/hotfix | 
*UiDeploymentControllerApi* | [**search_deployments**](docs/UiDeploymentControllerApi.md#search_deployments) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/search | 
*UiDeploymentControllerApi* | [**sign_off_deployment**](docs/UiDeploymentControllerApi.md#sign_off_deployment) | **PUT** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/signoff | 
*UiDeploymentControllerApi* | [**simulate**](docs/UiDeploymentControllerApi.md#simulate) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/simulate | 
*UiDeploymentControllerApi* | [**state_unlock**](docs/UiDeploymentControllerApi.md#state_unlock) | **PUT** /cc-ui/v1/clusters/{clusterId}/deployments/unlock | 
*UiDeploymentControllerApi* | [**stream_deployment_logs**](docs/UiDeploymentControllerApi.md#stream_deployment_logs) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/logs/stream | 
*UiDeploymentControllerApi* | [**trigger_maintenance_release**](docs/UiDeploymentControllerApi.md#trigger_maintenance_release) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/maintenance | 
*UiDeploymentControllerApi* | [**trigger_rollback_plan_release**](docs/UiDeploymentControllerApi.md#trigger_rollback_plan_release) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/{resourceType}/{resourceName}/rollback-plan | 
*UiDeploymentControllerApi* | [**trigger_terraform_export**](docs/UiDeploymentControllerApi.md#trigger_terraform_export) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/terraform-export | 
*UiDomainMappingControllerApi* | [**add_domain_mapping**](docs/UiDomainMappingControllerApi.md#add_domain_mapping) | **POST** /cc-ui/v1/domain-mapping/clusterId/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | 
*UiDomainMappingControllerApi* | [**delete_domain_mapping**](docs/UiDomainMappingControllerApi.md#delete_domain_mapping) | **DELETE** /cc-ui/v1/domain-mapping/clusterId/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | 
*UiDomainMappingControllerApi* | [**get_all_domains**](docs/UiDomainMappingControllerApi.md#get_all_domains) | **GET** /cc-ui/v1/domain-mapping/clusterId/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | 
*UiDomainMappingControllerApi* | [**update_domain_mapping**](docs/UiDomainMappingControllerApi.md#update_domain_mapping) | **PUT** /cc-ui/v1/domain-mapping/clusterId/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | 
*UiDropdownsControllerApi* | [**get_affected_resources_by_cluster**](docs/UiDropdownsControllerApi.md#get_affected_resources_by_cluster) | **POST** /cc-ui/v1/dropdown/cluster/{clusterId}/affected-resources | 
*UiDropdownsControllerApi* | [**get_affected_resources_by_stack**](docs/UiDropdownsControllerApi.md#get_affected_resources_by_stack) | **POST** /cc-ui/v1/dropdown/stack/{stackName}/affected-resources | 
*UiDropdownsControllerApi* | [**get_all_cluster_resources_by_stack**](docs/UiDropdownsControllerApi.md#get_all_cluster_resources_by_stack) | **GET** /cc-ui/v1/dropdown/stack/{stackName}/{resourceType}/{resourceName}/cluster-resources-info | 
*UiDropdownsControllerApi* | [**get_all_permissions**](docs/UiDropdownsControllerApi.md#get_all_permissions) | **GET** /cc-ui/v1/dropdown/getAllPermissions | 
*UiDropdownsControllerApi* | [**get_all_resources**](docs/UiDropdownsControllerApi.md#get_all_resources) | **GET** /cc-ui/v1/dropdown/cluster/{clusterId}/resources | 
*UiDropdownsControllerApi* | [**get_all_resources_by_cluster**](docs/UiDropdownsControllerApi.md#get_all_resources_by_cluster) | **GET** /cc-ui/v1/dropdown/cluster/{clusterId}/resources-info | 
*UiDropdownsControllerApi* | [**get_all_resources_by_stack**](docs/UiDropdownsControllerApi.md#get_all_resources_by_stack) | **GET** /cc-ui/v1/dropdown/stack/{stackName}/resources-info | 
*UiDropdownsControllerApi* | [**get_all_resources_for_all_cluster_of_stack**](docs/UiDropdownsControllerApi.md#get_all_resources_for_all_cluster_of_stack) | **GET** /cc-ui/v1/dropdown/stack/{stackName}/all-cluster-resources | 
*UiDropdownsControllerApi* | [**get_all_vcs**](docs/UiDropdownsControllerApi.md#get_all_vcs) | **GET** /cc-ui/v1/dropdown/vcs | 
*UiDropdownsControllerApi* | [**get_application_list_by_cluster_id_and_resource_name**](docs/UiDropdownsControllerApi.md#get_application_list_by_cluster_id_and_resource_name) | **GET** /cc-ui/v1/dropdown/{clusterId}/{resourceType} | 
*UiDropdownsControllerApi* | [**get_az_for_region_by_cloud**](docs/UiDropdownsControllerApi.md#get_az_for_region_by_cloud) | **GET** /cc-ui/v1/dropdown/{cloud}/region/{region}/availability-zones | 
*UiDropdownsControllerApi* | [**get_file_from_facets_modules**](docs/UiDropdownsControllerApi.md#get_file_from_facets_modules) | **GET** /cc-ui/v1/dropdown/file | 
*UiDropdownsControllerApi* | [**get_git_history_for_resource**](docs/UiDropdownsControllerApi.md#get_git_history_for_resource) | **GET** /cc-ui/v1/dropdown/logs/cluster/{clusterId}/resourceName/{resourceName}/resourceType/{resourceType} | 
*UiDropdownsControllerApi* | [**get_launch_dag**](docs/UiDropdownsControllerApi.md#get_launch_dag) | **GET** /cc-ui/v1/dropdown/{clusterId}/cloud/{cloud}/launch-dag | 
*UiDropdownsControllerApi* | [**get_output_references**](docs/UiDropdownsControllerApi.md#get_output_references) | **GET** /cc-ui/v1/dropdown/{stackName}/output/{outputType}/references | 
*UiDropdownsControllerApi* | [**get_output_references_by_type**](docs/UiDropdownsControllerApi.md#get_output_references_by_type) | **GET** /cc-ui/v1/dropdown/{stackName}/output-references | 
*UiDropdownsControllerApi* | [**get_regions**](docs/UiDropdownsControllerApi.md#get_regions) | **GET** /cc-ui/v1/dropdown/{cloud}/regions | 
*UiDropdownsControllerApi* | [**get_regions_v2**](docs/UiDropdownsControllerApi.md#get_regions_v2) | **GET** /cc-ui/v1/dropdown/{cloud}/regions-v2 | 
*UiDropdownsControllerApi* | [**get_release_streams**](docs/UiDropdownsControllerApi.md#get_release_streams) | **GET** /cc-ui/v1/dropdown/releaseStreams | 
*UiDropdownsControllerApi* | [**get_resource_by_cluster_id**](docs/UiDropdownsControllerApi.md#get_resource_by_cluster_id) | **GET** /cc-ui/v1/dropdown/cluster/{clusterId}/{resourceType}/{resourceName}/resource-info | 
*UiDropdownsControllerApi* | [**get_resource_by_stack**](docs/UiDropdownsControllerApi.md#get_resource_by_stack) | **GET** /cc-ui/v1/dropdown/stack/{stackName}/{resourceType}/{resourceName}/resource-info | 
*UiDropdownsControllerApi* | [**get_resource_histories_by_stack**](docs/UiDropdownsControllerApi.md#get_resource_histories_by_stack) | **GET** /cc-ui/v1/dropdown/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/resource-history | 
*UiDropdownsControllerApi* | [**get_resource_history_overview_by_stack**](docs/UiDropdownsControllerApi.md#get_resource_history_overview_by_stack) | **GET** /cc-ui/v1/dropdown/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/resource-history-overview | 
*UiDropdownsControllerApi* | [**get_role_permissions**](docs/UiDropdownsControllerApi.md#get_role_permissions) | **GET** /cc-ui/v1/dropdown/rolePermissions/{role} | 
*UiDropdownsControllerApi* | [**get_service_overview**](docs/UiDropdownsControllerApi.md#get_service_overview) | **GET** /cc-ui/v1/dropdown/stack/{stackName}/service/{serviceName}/overview | 
*UiDropdownsControllerApi* | [**sync_cluster_history**](docs/UiDropdownsControllerApi.md#sync_cluster_history) | **POST** /cc-ui/v1/dropdown/logs/cluster/{clusterId} | 
*UiDropdownsControllerApi* | [**sync_substack_git_history**](docs/UiDropdownsControllerApi.md#sync_substack_git_history) | **POST** /cc-ui/v1/dropdown/logs/substack | 
*UiGcpClusterControllerApi* | [**configure_draft_cluster**](docs/UiGcpClusterControllerApi.md#configure_draft_cluster) | **POST** /cc-ui/v1/gcp/clusters/configure/{clusterId} | 
*UiGcpClusterControllerApi* | [**create_gcp_cluster**](docs/UiGcpClusterControllerApi.md#create_gcp_cluster) | **POST** /cc-ui/v1/gcp/clusters | 
*UiGcpClusterControllerApi* | [**get_gcp_cluster**](docs/UiGcpClusterControllerApi.md#get_gcp_cluster) | **GET** /cc-ui/v1/gcp/clusters/{clusterId} | 
*UiGcpClusterControllerApi* | [**update_gcp_cluster**](docs/UiGcpClusterControllerApi.md#update_gcp_cluster) | **PUT** /cc-ui/v1/gcp/clusters/{clusterId} | 
*UiGcpClusterControllerApi* | [**validate_vpc_id**](docs/UiGcpClusterControllerApi.md#validate_vpc_id) | **GET** /cc-ui/v1/gcp/clusters/validate-vpcId | 
*UiK8sClusterControllerApi* | [**create_draft_cluster**](docs/UiK8sClusterControllerApi.md#create_draft_cluster) | **POST** /cc-ui/v1/kubernetes/clusters/configure/{clusterId} | 
*UiK8sClusterControllerApi* | [**create_k8s_cluster**](docs/UiK8sClusterControllerApi.md#create_k8s_cluster) | **POST** /cc-ui/v1/kubernetes/clusters | 
*UiK8sClusterControllerApi* | [**get_k8s_cluster**](docs/UiK8sClusterControllerApi.md#get_k8s_cluster) | **GET** /cc-ui/v1/kubernetes/clusters/{clusterId} | 
*UiK8sClusterControllerApi* | [**update_k8s_cluster**](docs/UiK8sClusterControllerApi.md#update_k8s_cluster) | **PUT** /cc-ui/v1/kubernetes/clusters/{clusterId} | 
*UiKubernetesExplorerControllerApi* | [**container_logs**](docs/UiKubernetesExplorerControllerApi.md#container_logs) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/pods/{podName}/{containerName}/logs | 
*UiKubernetesExplorerControllerApi* | [**get_all_ingress_rules_for_cluster**](docs/UiKubernetesExplorerControllerApi.md#get_all_ingress_rules_for_cluster) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/ingress-rules | 
*UiKubernetesExplorerControllerApi* | [**get_config_map_data**](docs/UiKubernetesExplorerControllerApi.md#get_config_map_data) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/configMaps/{configMapName} | 
*UiKubernetesExplorerControllerApi* | [**get_manifest**](docs/UiKubernetesExplorerControllerApi.md#get_manifest) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/{k8sResourceType}/{k8sResourceName}/manifest | 
*UiKubernetesExplorerControllerApi* | [**get_pods_for_deployment**](docs/UiKubernetesExplorerControllerApi.md#get_pods_for_deployment) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/deployments/{deploymentName} | 
*UiKubernetesExplorerControllerApi* | [**get_secrets_data**](docs/UiKubernetesExplorerControllerApi.md#get_secrets_data) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/secrets/{secretName} | 
*UiKubernetesExplorerControllerApi* | [**list_config_map_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_config_map_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/configMaps | 
*UiKubernetesExplorerControllerApi* | [**list_containers_in_pod**](docs/UiKubernetesExplorerControllerApi.md#list_containers_in_pod) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/{podName}/containers | 
*UiKubernetesExplorerControllerApi* | [**list_containers_in_pod_v2**](docs/UiKubernetesExplorerControllerApi.md#list_containers_in_pod_v2) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/{podName}/v2/containers | 
*UiKubernetesExplorerControllerApi* | [**list_cron_job_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_cron_job_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/cronJobs | 
*UiKubernetesExplorerControllerApi* | [**list_daemon_sets_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_daemon_sets_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/daemonSets | 
*UiKubernetesExplorerControllerApi* | [**list_deployments_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_deployments_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/deployments | 
*UiKubernetesExplorerControllerApi* | [**list_events_by_k8s_resource**](docs/UiKubernetesExplorerControllerApi.md#list_events_by_k8s_resource) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/{k8sResourceType}/{k8sResourceName}/events | 
*UiKubernetesExplorerControllerApi* | [**list_hpa_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_hpa_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/hpa | 
*UiKubernetesExplorerControllerApi* | [**list_ingresses_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_ingresses_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/ingresses | 
*UiKubernetesExplorerControllerApi* | [**list_jobs_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_jobs_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/jobs | 
*UiKubernetesExplorerControllerApi* | [**list_pods_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_pods_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/pods | 
*UiKubernetesExplorerControllerApi* | [**list_pvby_labels**](docs/UiKubernetesExplorerControllerApi.md#list_pvby_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/pv | 
*UiKubernetesExplorerControllerApi* | [**list_pvcby_labels**](docs/UiKubernetesExplorerControllerApi.md#list_pvcby_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/pvc | 
*UiKubernetesExplorerControllerApi* | [**list_replicasets_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_replicasets_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/replicasets | 
*UiKubernetesExplorerControllerApi* | [**list_secrets_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_secrets_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/secrets | 
*UiKubernetesExplorerControllerApi* | [**list_services_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_services_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/services | 
*UiKubernetesExplorerControllerApi* | [**list_statefulsets_labels_by_labels**](docs/UiKubernetesExplorerControllerApi.md#list_statefulsets_labels_by_labels) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/statefulsets | 
*UiMaintenanceWindowControllerApi* | [**enable_disable**](docs/UiMaintenanceWindowControllerApi.md#enable_disable) | **PUT** /cc-ui/v1/maintenance-window/{clusterId}/enable-disable | 
*UiMaintenanceWindowControllerApi* | [**get_by_cluster_id**](docs/UiMaintenanceWindowControllerApi.md#get_by_cluster_id) | **GET** /cc-ui/v1/maintenance-window/{clusterId} | 
*UiMaintenanceWindowControllerApi* | [**update2**](docs/UiMaintenanceWindowControllerApi.md#update2) | **PUT** /cc-ui/v1/maintenance-window | 
*UiMetaControllerApi* | [**get_cp_account**](docs/UiMetaControllerApi.md#get_cp_account) | **GET** /cc-ui/v1/meta/cpAccount | 
*UiMetaControllerApi* | [**get_supported_component_version**](docs/UiMetaControllerApi.md#get_supported_component_version) | **GET** /cc-ui/v1/meta/components/{componentType}/supportedVersion | 
*UiMetaControllerApi* | [**get_supported_component_versions**](docs/UiMetaControllerApi.md#get_supported_component_versions) | **GET** /cc-ui/v1/meta/components/supportedVersion | 
*UiNoAuthUserControllerApi* | [**reset_password_request**](docs/UiNoAuthUserControllerApi.md#reset_password_request) | **POST** /public-ui/v1/user/resetPassword | 
*UiNoAuthUserControllerApi* | [**save_password**](docs/UiNoAuthUserControllerApi.md#save_password) | **POST** /public-ui/v1/user/savePassword | 
*UiNoAuthUserControllerApi* | [**validate_token**](docs/UiNoAuthUserControllerApi.md#validate_token) | **POST** /public-ui/v1/user/token/validate | 
*UiNotificationControllerApi* | [**create_notification_channel**](docs/UiNotificationControllerApi.md#create_notification_channel) | **POST** /cc-ui/v1/notification/channels | 
*UiNotificationControllerApi* | [**create_subscription1**](docs/UiNotificationControllerApi.md#create_subscription1) | **POST** /cc-ui/v1/notification/subscriptions | 
*UiNotificationControllerApi* | [**delete_notification_channel**](docs/UiNotificationControllerApi.md#delete_notification_channel) | **DELETE** /cc-ui/v1/notification/channels/{channelId} | 
*UiNotificationControllerApi* | [**delete_subscription**](docs/UiNotificationControllerApi.md#delete_subscription) | **DELETE** /cc-ui/v1/notification/subscriptions/{subscriptionId} | 
*UiNotificationControllerApi* | [**edit_notification_channel**](docs/UiNotificationControllerApi.md#edit_notification_channel) | **PUT** /cc-ui/v1/notification/channels/{channelId} | 
*UiNotificationControllerApi* | [**edit_subscription**](docs/UiNotificationControllerApi.md#edit_subscription) | **PUT** /cc-ui/v1/notification/subscriptions/{subscriptionId} | 
*UiNotificationControllerApi* | [**get_all_channel_types**](docs/UiNotificationControllerApi.md#get_all_channel_types) | **GET** /cc-ui/v1/notification/channelTypes | 
*UiNotificationControllerApi* | [**get_all_channels**](docs/UiNotificationControllerApi.md#get_all_channels) | **GET** /cc-ui/v1/notification/channels | 
*UiNotificationControllerApi* | [**get_all_notification_tags**](docs/UiNotificationControllerApi.md#get_all_notification_tags) | **GET** /cc-ui/v1/notification/notificationTags | 
*UiNotificationControllerApi* | [**get_all_notification_types**](docs/UiNotificationControllerApi.md#get_all_notification_types) | **GET** /cc-ui/v1/notification/notificationTypes | 
*UiNotificationControllerApi* | [**get_all_subscriptions1**](docs/UiNotificationControllerApi.md#get_all_subscriptions1) | **GET** /cc-ui/v1/notification/subscriptions | 
*UiNotificationControllerApi* | [**get_channel**](docs/UiNotificationControllerApi.md#get_channel) | **GET** /cc-ui/v1/notification/channels/{channelId} | 
*UiNotificationControllerApi* | [**get_filters_for_subscriptions**](docs/UiNotificationControllerApi.md#get_filters_for_subscriptions) | **POST** /cc-ui/v1/notification/{notificationType}/tag/{tagName}/values/ | 
*UiNotificationControllerApi* | [**get_notification_tags_for_notification_type**](docs/UiNotificationControllerApi.md#get_notification_tags_for_notification_type) | **GET** /cc-ui/v1/notification/{notificationType}/tags | 
*UiNotificationControllerApi* | [**get_subscription**](docs/UiNotificationControllerApi.md#get_subscription) | **GET** /cc-ui/v1/notification/subscriptions/{subscriptionId} | 
*UiNotificationControllerApi* | [**get_subscription_attributes**](docs/UiNotificationControllerApi.md#get_subscription_attributes) | **GET** /cc-ui/v1/notification/notificationType/{notificationType}/attributes | 
*UiNotificationControllerApi* | [**test_notification_channel**](docs/UiNotificationControllerApi.md#test_notification_channel) | **POST** /cc-ui/v1/notification/channels/test | 
*UiOAuthControllerApi* | [**add_generic_o_auth_integration**](docs/UiOAuthControllerApi.md#add_generic_o_auth_integration) | **POST** /cc-ui/v1/oauth/generic-oauth-integration | 
*UiOAuthControllerApi* | [**add_integrations**](docs/UiOAuthControllerApi.md#add_integrations) | **POST** /cc-ui/v1/oauth | 
*UiOAuthControllerApi* | [**delete_integrations**](docs/UiOAuthControllerApi.md#delete_integrations) | **DELETE** /cc-ui/v1/oauth/{registrationId} | 
*UiOAuthControllerApi* | [**edit_generic_o_auth_integration**](docs/UiOAuthControllerApi.md#edit_generic_o_auth_integration) | **PUT** /cc-ui/v1/oauth/generic-oauth-integration | 
*UiOAuthControllerApi* | [**get_all_integrations**](docs/UiOAuthControllerApi.md#get_all_integrations) | **GET** /cc-ui/v1/oauth | 
*UiOAuthControllerApi* | [**update_integrations**](docs/UiOAuthControllerApi.md#update_integrations) | **PUT** /cc-ui/v1/oauth/{registrationId} | 
*UiOneTimeWebhookControllerApi* | [**poll_webhook**](docs/UiOneTimeWebhookControllerApi.md#poll_webhook) | **GET** /cc-ui/v1/onetime-webhook/poll/{webhookId} | 
*UiOneTimeWebhookControllerApi* | [**register_webhook**](docs/UiOneTimeWebhookControllerApi.md#register_webhook) | **POST** /cc-ui/v1/onetime-webhook/register | 
*UiOpaControllerApi* | [**bulk_edit_opa_policy_state**](docs/UiOpaControllerApi.md#bulk_edit_opa_policy_state) | **POST** /cc-ui/v1/opa/enable-disable-policies | 
*UiOpaControllerApi* | [**create_policy**](docs/UiOpaControllerApi.md#create_policy) | **POST** /cc-ui/v1/opa/{policyName} | 
*UiOpaControllerApi* | [**delete_policy**](docs/UiOpaControllerApi.md#delete_policy) | **DELETE** /cc-ui/v1/opa/{policyName} | 
*UiOpaControllerApi* | [**edit_policy**](docs/UiOpaControllerApi.md#edit_policy) | **PUT** /cc-ui/v1/opa/{policyName} | 
*UiOpaControllerApi* | [**execute_policy**](docs/UiOpaControllerApi.md#execute_policy) | **POST** /cc-ui/v1/opa/{policyName}/execute | 
*UiOpaControllerApi* | [**get_all_policies**](docs/UiOpaControllerApi.md#get_all_policies) | **GET** /cc-ui/v1/opa | 
*UiOpaControllerApi* | [**get_all_policy_templates**](docs/UiOpaControllerApi.md#get_all_policy_templates) | **GET** /cc-ui/v1/opa/policy-templates | 
*UiOpaControllerApi* | [**get_policy**](docs/UiOpaControllerApi.md#get_policy) | **GET** /cc-ui/v1/opa/{policyName} | 
*UiProjectTypeControllerApi* | [**add_project_type**](docs/UiProjectTypeControllerApi.md#add_project_type) | **POST** /cc-ui/v1/project-types | Add a new project type
*UiProjectTypeControllerApi* | [**delete_project_type**](docs/UiProjectTypeControllerApi.md#delete_project_type) | **DELETE** /cc-ui/v1/project-types/{id} | Delete a project type
*UiProjectTypeControllerApi* | [**get_all_project_types**](docs/UiProjectTypeControllerApi.md#get_all_project_types) | **GET** /cc-ui/v1/project-types | Get all project types
*UiProjectTypeControllerApi* | [**get_project_type_by_id**](docs/UiProjectTypeControllerApi.md#get_project_type_by_id) | **GET** /cc-ui/v1/project-types/{id} | Get project type by ID
*UiProjectTypeControllerApi* | [**update_project_type**](docs/UiProjectTypeControllerApi.md#update_project_type) | **PUT** /cc-ui/v1/project-types/{id} | Update an existing project type
*UiPromotionWorkflowControllerApi* | [**create_workflow**](docs/UiPromotionWorkflowControllerApi.md#create_workflow) | **POST** /cc-ui/v1/workflow | 
*UiPromotionWorkflowControllerApi* | [**delete_workflow**](docs/UiPromotionWorkflowControllerApi.md#delete_workflow) | **DELETE** /cc-ui/v1/workflow/{workflowId} | 
*UiPromotionWorkflowControllerApi* | [**get_all_workflows**](docs/UiPromotionWorkflowControllerApi.md#get_all_workflows) | **GET** /cc-ui/v1/workflow | 
*UiPromotionWorkflowControllerApi* | [**get_default_workflow**](docs/UiPromotionWorkflowControllerApi.md#get_default_workflow) | **GET** /cc-ui/v1/workflow/default-workflow/registration-type/{registrationType} | 
*UiPromotionWorkflowControllerApi* | [**get_registration_specific_workflows**](docs/UiPromotionWorkflowControllerApi.md#get_registration_specific_workflows) | **GET** /cc-ui/v1/workflow/registration-specific | 
*UiPromotionWorkflowControllerApi* | [**get_workflow**](docs/UiPromotionWorkflowControllerApi.md#get_workflow) | **GET** /cc-ui/v1/workflow/{workflowId} | 
*UiPromotionWorkflowControllerApi* | [**get_workflows_by_stack**](docs/UiPromotionWorkflowControllerApi.md#get_workflows_by_stack) | **GET** /cc-ui/v1/workflow/blueprint/{stackName} | 
*UiPromotionWorkflowControllerApi* | [**update_workflow**](docs/UiPromotionWorkflowControllerApi.md#update_workflow) | **PUT** /cc-ui/v1/workflow/{workflowId} | 
*UiQueuedReleaseControllerApi* | [**delete_by_id**](docs/UiQueuedReleaseControllerApi.md#delete_by_id) | **DELETE** /cc-ui/v1/clusters/{clusterId}/queued-releases/{queuedReleaseId} | 
*UiQueuedReleaseControllerApi* | [**get_all_queued_releases**](docs/UiQueuedReleaseControllerApi.md#get_all_queued_releases) | **GET** /cc-ui/v1/clusters/{clusterId}/queued-releases/ | 
*UiReleaseStreamControllerApi* | [**add1**](docs/UiReleaseStreamControllerApi.md#add1) | **POST** /cc-ui/v1/release-stream | 
*UiReleaseStreamControllerApi* | [**delete2**](docs/UiReleaseStreamControllerApi.md#delete2) | **DELETE** /cc-ui/v1/release-stream/{name} | 
*UiReleaseStreamControllerApi* | [**get_all1**](docs/UiReleaseStreamControllerApi.md#get_all1) | **GET** /cc-ui/v1/release-stream | 
*UiResourceGroupControllerApi* | [**create**](docs/UiResourceGroupControllerApi.md#create) | **POST** /cc-ui/v1/resource-groups | 
*UiResourceGroupControllerApi* | [**delete1**](docs/UiResourceGroupControllerApi.md#delete1) | **DELETE** /cc-ui/v1/resource-groups/{resourceGroupId} | 
*UiResourceGroupControllerApi* | [**find_all**](docs/UiResourceGroupControllerApi.md#find_all) | **GET** /cc-ui/v1/resource-groups | 
*UiResourceGroupControllerApi* | [**get_resource_group**](docs/UiResourceGroupControllerApi.md#get_resource_group) | **GET** /cc-ui/v1/resource-groups/{resourceGroupId} | 
*UiResourceGroupControllerApi* | [**get_resource_groups_for_session_user**](docs/UiResourceGroupControllerApi.md#get_resource_groups_for_session_user) | **GET** /cc-ui/v1/resource-groups/me | 
*UiResourceGroupControllerApi* | [**update1**](docs/UiResourceGroupControllerApi.md#update1) | **PUT** /cc-ui/v1/resource-groups/{resourceGroupId} | 
*UiResourceGroupControllerApi* | [**update_all_resources**](docs/UiResourceGroupControllerApi.md#update_all_resources) | **PUT** /cc-ui/v1/resource-groups/{resourceGroupId}/resources | 
*UiResourceGroupControllerApi* | [**update_resource**](docs/UiResourceGroupControllerApi.md#update_resource) | **PATCH** /cc-ui/v1/resource-groups/{resourceGroupId}/resources | 
*UiResourceStatusControllerApi* | [**get_release_preview**](docs/UiResourceStatusControllerApi.md#get_release_preview) | **GET** /cc-ui/v1/resources/{clusterId}/release-preview | 
*UiResourceStatusControllerApi* | [**get_resource_status**](docs/UiResourceStatusControllerApi.md#get_resource_status) | **GET** /cc-ui/v1/resources/{projectName}/{environmentName}/status | 
*UiResourceStatusControllerApi* | [**sync_resource**](docs/UiResourceStatusControllerApi.md#sync_resource) | **POST** /cc-ui/v1/resources/sync | 
*UiSettingsControllerApi* | [**add_setting_value**](docs/UiSettingsControllerApi.md#add_setting_value) | **PUT** /cc-ui/v1/settings/value/{entityType}/{entityId} | 
*UiSettingsControllerApi* | [**get_all_settings_for_entity**](docs/UiSettingsControllerApi.md#get_all_settings_for_entity) | **GET** /cc-ui/v1/settings/entity/{entity} | 
*UiSettingsControllerApi* | [**get_all_settings_yaml**](docs/UiSettingsControllerApi.md#get_all_settings_yaml) | **GET** /cc-ui/v1/settings/ui-yaml | 
*UiSettingsControllerApi* | [**get_setting_value**](docs/UiSettingsControllerApi.md#get_setting_value) | **GET** /cc-ui/v1/settings/value/{entityType}/{entityId} | 
*UiSettingsControllerApi* | [**set_onboarding_display**](docs/UiSettingsControllerApi.md#set_onboarding_display) | **PUT** /cc-ui/v1/settings/onboarding-display/{value} | 
*UiStackControllerApi* | [**create_project**](docs/UiStackControllerApi.md#create_project) | **POST** /cc-ui/v1/stacks/project | 
*UiStackControllerApi* | [**create_stack**](docs/UiStackControllerApi.md#create_stack) | **POST** /cc-ui/v1/stacks/ | 
*UiStackControllerApi* | [**create_stack_v2**](docs/UiStackControllerApi.md#create_stack_v2) | **POST** /cc-ui/v1/stacks/v2 | 
*UiStackControllerApi* | [**create_starter_project**](docs/UiStackControllerApi.md#create_starter_project) | **POST** /cc-ui/v1/stacks/starter-project | 
*UiStackControllerApi* | [**create_sub_stack**](docs/UiStackControllerApi.md#create_sub_stack) | **POST** /cc-ui/v1/stacks/substack/{substackName} | 
*UiStackControllerApi* | [**create_subscription**](docs/UiStackControllerApi.md#create_subscription) | **POST** /cc-ui/v1/stacks/{stackName}/notification/subscriptions | 
*UiStackControllerApi* | [**delete_stack**](docs/UiStackControllerApi.md#delete_stack) | **DELETE** /cc-ui/v1/stacks/{stackName} | 
*UiStackControllerApi* | [**enable_git_ops**](docs/UiStackControllerApi.md#enable_git_ops) | **PUT** /cc-ui/v1/stacks/{stackName}/enable-git-ops | 
*UiStackControllerApi* | [**get_all_clusters**](docs/UiStackControllerApi.md#get_all_clusters) | **GET** /cc-ui/v1/stacks/clusters | 
*UiStackControllerApi* | [**get_all_subscriptions**](docs/UiStackControllerApi.md#get_all_subscriptions) | **GET** /cc-ui/v1/stacks/{stackName}/notification/subscriptions | 
*UiStackControllerApi* | [**get_all_template_inputs_meta**](docs/UiStackControllerApi.md#get_all_template_inputs_meta) | **GET** /cc-ui/v1/stacks/{stackName}/templateInputs/meta | 
*UiStackControllerApi* | [**get_application**](docs/UiStackControllerApi.md#get_application) | **GET** /cc-ui/v1/stacks/{stackName}/{resourceType}/{appName} | 
*UiStackControllerApi* | [**get_application_list**](docs/UiStackControllerApi.md#get_application_list) | **GET** /cc-ui/v1/stacks/{stackName}/{resourceType}/ | 
*UiStackControllerApi* | [**get_cluster_metadata_by_stack**](docs/UiStackControllerApi.md#get_cluster_metadata_by_stack) | **GET** /cc-ui/v1/stacks/{stackName}/clusters-metadata | 
*UiStackControllerApi* | [**get_clusters**](docs/UiStackControllerApi.md#get_clusters) | **GET** /cc-ui/v1/stacks/{stackName}/clusters | 
*UiStackControllerApi* | [**get_clusters_overview**](docs/UiStackControllerApi.md#get_clusters_overview) | **GET** /cc-ui/v1/stacks/{stackName}/clusters-overview | 
*UiStackControllerApi* | [**get_clusters_with_status**](docs/UiStackControllerApi.md#get_clusters_with_status) | **GET** /cc-ui/v1/stacks/{stackName}/clustersWithStatus | 
*UiStackControllerApi* | [**get_local_deployment_context**](docs/UiStackControllerApi.md#get_local_deployment_context) | **GET** /cc-ui/v1/stacks/{stackName}/localDeploymentContext | 
*UiStackControllerApi* | [**get_overrides**](docs/UiStackControllerApi.md#get_overrides) | **GET** /cc-ui/v1/stacks/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/overrides | 
*UiStackControllerApi* | [**get_resource_types**](docs/UiStackControllerApi.md#get_resource_types) | **GET** /cc-ui/v1/stacks/{stackName}/suggestions/resourceType | 
*UiStackControllerApi* | [**get_resources_by_types**](docs/UiStackControllerApi.md#get_resources_by_types) | **GET** /cc-ui/v1/stacks/{stackName}/suggestions/resourceType/{resourceType} | 
*UiStackControllerApi* | [**get_running_base_clusters**](docs/UiStackControllerApi.md#get_running_base_clusters) | **GET** /cc-ui/v1/stacks/running-base-clusters | 
*UiStackControllerApi* | [**get_stack**](docs/UiStackControllerApi.md#get_stack) | **GET** /cc-ui/v1/stacks/{stackName} | 
*UiStackControllerApi* | [**get_stack_templates**](docs/UiStackControllerApi.md#get_stack_templates) | **GET** /cc-ui/v1/stacks/templates | 
*UiStackControllerApi* | [**get_stack_with_account**](docs/UiStackControllerApi.md#get_stack_with_account) | **GET** /cc-ui/v1/stacks/{stackName}/withAccount | 
*UiStackControllerApi* | [**get_stacks**](docs/UiStackControllerApi.md#get_stacks) | **GET** /cc-ui/v1/stacks/ | 
*UiStackControllerApi* | [**migrate_overrides_to_git**](docs/UiStackControllerApi.md#migrate_overrides_to_git) | **GET** /cc-ui/v1/stacks/migrate-overrides | 
*UiStackControllerApi* | [**migrate_overrides_to_git_v2**](docs/UiStackControllerApi.md#migrate_overrides_to_git_v2) | **POST** /cc-ui/v1/stacks/migrate-overrides-v2 | 
*UiStackControllerApi* | [**reload_stack**](docs/UiStackControllerApi.md#reload_stack) | **GET** /cc-ui/v1/stacks/{stackName}/reload | 
*UiStackControllerApi* | [**save_as_template**](docs/UiStackControllerApi.md#save_as_template) | **POST** /cc-ui/v1/stacks/{stackName}/template | 
*UiStackControllerApi* | [**save_as_template_v2**](docs/UiStackControllerApi.md#save_as_template_v2) | **POST** /cc-ui/v1/stacks/{stackName}/template-v2 | 
*UiStackControllerApi* | [**stack_sync_with_git**](docs/UiStackControllerApi.md#stack_sync_with_git) | **GET** /cc-ui/v1/stacks/{stackName}/sync-with-git/v2 | Sync stack with git
*UiStackControllerApi* | [**sync_resources**](docs/UiStackControllerApi.md#sync_resources) | **GET** /cc-ui/v1/stacks/{stackName}/sync-resources | 
*UiStackControllerApi* | [**sync_stack_with_git**](docs/UiStackControllerApi.md#sync_stack_with_git) | **GET** /cc-ui/v1/stacks/{stackName}/sync-with-git | 
*UiStackControllerApi* | [**toggle_release**](docs/UiStackControllerApi.md#toggle_release) | **POST** /cc-ui/v1/stacks/{stackName}/toggleRelease | 
*UiStackControllerApi* | [**update_stack**](docs/UiStackControllerApi.md#update_stack) | **PUT** /cc-ui/v1/stacks/{stackName} | 
*UiTeamControllerApi* | [**add_team_members**](docs/UiTeamControllerApi.md#add_team_members) | **POST** /cc-ui/v1/teams/{teamId}/members | 
*UiTeamControllerApi* | [**get_team**](docs/UiTeamControllerApi.md#get_team) | **GET** /cc-ui/v1/teams/{teamId} | 
*UiTeamControllerApi* | [**get_team_members**](docs/UiTeamControllerApi.md#get_team_members) | **GET** /cc-ui/v1/teams/{teamId}/members | 
*UiTeamControllerApi* | [**get_teams**](docs/UiTeamControllerApi.md#get_teams) | **GET** /cc-ui/v1/teams/ | 
*UiTeamControllerApi* | [**upsert_team**](docs/UiTeamControllerApi.md#upsert_team) | **POST** /cc-ui/v1/teams/ | 
*UiTfVersionControllerApi* | [**delete_tf_stream_for_cluster**](docs/UiTfVersionControllerApi.md#delete_tf_stream_for_cluster) | **DELETE** /cc-ui/v1/terraform/cluster/{clusterId} | 
*UiTfVersionControllerApi* | [**get_all_versions**](docs/UiTfVersionControllerApi.md#get_all_versions) | **GET** /cc-ui/v1/terraform/versions | 
*UiTfVersionControllerApi* | [**get_pending_migration_scripts_by_cluster_id**](docs/UiTfVersionControllerApi.md#get_pending_migration_scripts_by_cluster_id) | **GET** /cc-ui/v1/terraform/cluster/{clusterId}/pending-migration-scripts | 
*UiTfVersionControllerApi* | [**get_tf_stream_for_cluster**](docs/UiTfVersionControllerApi.md#get_tf_stream_for_cluster) | **GET** /cc-ui/v1/terraform/cluster/{clusterId} | 
*UiTfVersionControllerApi* | [**get_tf_versions_for_stream**](docs/UiTfVersionControllerApi.md#get_tf_versions_for_stream) | **GET** /cc-ui/v1/terraform/stream/{tfStream}/versions | 
*UiTfVersionControllerApi* | [**populate_release_stream_tf_version_mapping**](docs/UiTfVersionControllerApi.md#populate_release_stream_tf_version_mapping) | **POST** /cc-ui/v1/terraform/sync-release-stream-mapping | 
*UiTfVersionControllerApi* | [**set_tf_version_for_cluster**](docs/UiTfVersionControllerApi.md#set_tf_version_for_cluster) | **PUT** /cc-ui/v1/terraform/cluster/{clusterId} | 
*UiThemeFileControllerApi* | [**save_theme_file**](docs/UiThemeFileControllerApi.md#save_theme_file) | **POST** /cc-ui/v1/themeFile | 
*UiUserControllerApi* | [**analyze_access**](docs/UiUserControllerApi.md#analyze_access) | **GET** /cc-ui/v1/users/analyze-access | 
*UiUserControllerApi* | [**create_token**](docs/UiUserControllerApi.md#create_token) | **POST** /cc-ui/v1/users/createAccessToken | 
*UiUserControllerApi* | [**delete_all_logged_in_users**](docs/UiUserControllerApi.md#delete_all_logged_in_users) | **DELETE** /cc-ui/v1/users/loggedIn/session | 
*UiUserControllerApi* | [**delete_token**](docs/UiUserControllerApi.md#delete_token) | **DELETE** /cc-ui/v1/users/tokens/{tokenId} | 
*UiUserControllerApi* | [**delete_user**](docs/UiUserControllerApi.md#delete_user) | **DELETE** /cc-ui/v1/users/{userId} | 
*UiUserControllerApi* | [**get_all_logged_in_users**](docs/UiUserControllerApi.md#get_all_logged_in_users) | **GET** /cc-ui/v1/users/loggedIn | 
*UiUserControllerApi* | [**get_all_system_roles**](docs/UiUserControllerApi.md#get_all_system_roles) | **GET** /cc-ui/v1/users/roles | 
*UiUserControllerApi* | [**get_all_users**](docs/UiUserControllerApi.md#get_all_users) | **GET** /cc-ui/v1/users/ | 
*UiUserControllerApi* | [**get_all_users_expanded**](docs/UiUserControllerApi.md#get_all_users_expanded) | **GET** /cc-ui/v1/users/list/users-expanded | 
*UiUserControllerApi* | [**get_current_user**](docs/UiUserControllerApi.md#get_current_user) | **GET** /cc-ui/v1/users/current-user | 
*UiUserControllerApi* | [**get_token**](docs/UiUserControllerApi.md#get_token) | **GET** /cc-ui/v1/users/tokens | 
*UiUserControllerApi* | [**get_user**](docs/UiUserControllerApi.md#get_user) | **GET** /cc-ui/v1/users/{userId} | 
*UiUserControllerApi* | [**get_user_expanded**](docs/UiUserControllerApi.md#get_user_expanded) | **GET** /cc-ui/v1/users/{userId}/user-expanded | 
*UiUserControllerApi* | [**invite_users**](docs/UiUserControllerApi.md#invite_users) | **POST** /cc-ui/v1/users/invite-users | 
*UiUserControllerApi* | [**update_password**](docs/UiUserControllerApi.md#update_password) | **POST** /cc-ui/v1/users/updatePassword | 
*UiUserGroupControllerApi* | [**create_user_group**](docs/UiUserGroupControllerApi.md#create_user_group) | **POST** /cc-ui/v1/user-groups/ | 
*UiUserGroupControllerApi* | [**delete_user_group**](docs/UiUserGroupControllerApi.md#delete_user_group) | **DELETE** /cc-ui/v1/user-groups/{groupId} | 
*UiUserGroupControllerApi* | [**get_all_group**](docs/UiUserGroupControllerApi.md#get_all_group) | **GET** /cc-ui/v1/user-groups/ | 
*UiUserGroupControllerApi* | [**get_all_user_groups_expanded**](docs/UiUserGroupControllerApi.md#get_all_user_groups_expanded) | **GET** /cc-ui/v1/user-groups/list/groups-expanded | 
*UiUserGroupControllerApi* | [**get_user_group**](docs/UiUserGroupControllerApi.md#get_user_group) | **GET** /cc-ui/v1/user-groups/{groupId} | 
*UiUserGroupControllerApi* | [**get_user_group_expanded**](docs/UiUserGroupControllerApi.md#get_user_group_expanded) | **GET** /cc-ui/v1/user-groups/{groupId}/group-expanded | 
*UiUserGroupControllerApi* | [**update_user_group**](docs/UiUserGroupControllerApi.md#update_user_group) | **PUT** /cc-ui/v1/user-groups/ | 
*UiUserVcsTokenControllerApi* | [**add**](docs/UiUserVcsTokenControllerApi.md#add) | **POST** /cc-ui/v1/user-token | 
*UiUserVcsTokenControllerApi* | [**delete**](docs/UiUserVcsTokenControllerApi.md#delete) | **DELETE** /cc-ui/v1/user-token/{id} | 
*UiUserVcsTokenControllerApi* | [**get_all**](docs/UiUserVcsTokenControllerApi.md#get_all) | **GET** /cc-ui/v1/user-token | 
*UiUserVcsTokenControllerApi* | [**update**](docs/UiUserVcsTokenControllerApi.md#update) | **PUT** /cc-ui/v1/user-token | 
*UiVersioningControllerApi* | [**delete_all_soft_delete_entities**](docs/UiVersioningControllerApi.md#delete_all_soft_delete_entities) | **DELETE** /cc-ui/v1/versions/softDeletedEntities/all | 
*UiVersioningControllerApi* | [**delete_soft_delete_entity**](docs/UiVersioningControllerApi.md#delete_soft_delete_entity) | **DELETE** /cc-ui/v1/versions/softDeletedEntities | 
*UiVersioningControllerApi* | [**get_version_by_id**](docs/UiVersioningControllerApi.md#get_version_by_id) | **GET** /cc-ui/v1/versions/id/{id} | 
*UiVersioningControllerApi* | [**get_versions**](docs/UiVersioningControllerApi.md#get_versions) | **GET** /cc-ui/v1/versions/{versioningKey} | 
*UiVersioningControllerApi* | [**get_versions_paginated**](docs/UiVersioningControllerApi.md#get_versions_paginated) | **GET** /cc-ui/v1/versions/{versioningKey}/paginated | 
*UiVersioningControllerApi* | [**restore**](docs/UiVersioningControllerApi.md#restore) | **POST** /cc-ui/v1/versions/{versionId}/restore | 
*UiVersioningControllerApi* | [**restore_soft_delete**](docs/UiVersioningControllerApi.md#restore_soft_delete) | **POST** /cc-ui/v1/versions/softDeletedEntities/{entityId} | 
*UiVersioningControllerApi* | [**soft_deleted_entities**](docs/UiVersioningControllerApi.md#soft_deleted_entities) | **GET** /cc-ui/v1/versions/softDeletedEntities | 
*UiVersioningControllerApi* | [**soft_deleted_entities_by_type**](docs/UiVersioningControllerApi.md#soft_deleted_entities_by_type) | **GET** /cc-ui/v1/versions/softDeletedEntities/{entityType} | 
*UiWebComponentControllerApi* | [**create_component**](docs/UiWebComponentControllerApi.md#create_component) | **POST** /cc-ui/v1/web-components | 
*UiWebComponentControllerApi* | [**delete_component**](docs/UiWebComponentControllerApi.md#delete_component) | **DELETE** /cc-ui/v1/web-components/{webComponentId} | 
*UiWebComponentControllerApi* | [**get_all_components**](docs/UiWebComponentControllerApi.md#get_all_components) | **GET** /cc-ui/v1/web-components | 
*UiWebComponentControllerApi* | [**get_component**](docs/UiWebComponentControllerApi.md#get_component) | **GET** /cc-ui/v1/web-components/{webComponentId} | 
*UiWebComponentControllerApi* | [**update_component**](docs/UiWebComponentControllerApi.md#update_component) | **PUT** /cc-ui/v1/web-components/{webComponentId} | 

## Documentation For Models

 - [AWSElasticBlockStoreVolumeSource](docs/AWSElasticBlockStoreVolumeSource.md)
 - [AbstractCluster](docs/AbstractCluster.md)
 - [AccessAnalyzerResponse](docs/AccessAnalyzerResponse.md)
 - [AccessRoleDetails](docs/AccessRoleDetails.md)
 - [Account](docs/Account.md)
 - [AccountAssociationInfo](docs/AccountAssociationInfo.md)
 - [AddOnDTO](docs/AddOnDTO.md)
 - [AffectedResource](docs/AffectedResource.md)
 - [AffectedResourcesRequest](docs/AffectedResourcesRequest.md)
 - [Affinity](docs/Affinity.md)
 - [Alert](docs/Alert.md)
 - [AlertGroup](docs/AlertGroup.md)
 - [AlertOverview](docs/AlertOverview.md)
 - [AllRegionsAndAZ](docs/AllRegionsAndAZ.md)
 - [AppDeployment](docs/AppDeployment.md)
 - [Artifact](docs/Artifact.md)
 - [ArtifactByEnvironmentRequest](docs/ArtifactByEnvironmentRequest.md)
 - [ArtifactByReleaseStreamRequest](docs/ArtifactByReleaseStreamRequest.md)
 - [ArtifactCI](docs/ArtifactCI.md)
 - [ArtifactRequest](docs/ArtifactRequest.md)
 - [ArtifactRoutingRuleRequest](docs/ArtifactRoutingRuleRequest.md)
 - [ArtifactRoutingRuleResponse](docs/ArtifactRoutingRuleResponse.md)
 - [Artifactory](docs/Artifactory.md)
 - [ArtifactoryLinkingRequest](docs/ArtifactoryLinkingRequest.md)
 - [ArtifactoryMirror](docs/ArtifactoryMirror.md)
 - [ArtifactsUploadBody](docs/ArtifactsUploadBody.md)
 - [Assistant](docs/Assistant.md)
 - [AssistantMessage](docs/AssistantMessage.md)
 - [AssistantRequest](docs/AssistantRequest.md)
 - [AssistantResponse](docs/AssistantResponse.md)
 - [AttachDetachCiRequest](docs/AttachDetachCiRequest.md)
 - [AutocompleteResponse](docs/AutocompleteResponse.md)
 - [AutocompleteResponseV2](docs/AutocompleteResponseV2.md)
 - [AvailabilitySchedule](docs/AvailabilitySchedule.md)
 - [AvailabilityTaskSchedule](docs/AvailabilityTaskSchedule.md)
 - [AwsAccount](docs/AwsAccount.md)
 - [AwsCluster](docs/AwsCluster.md)
 - [AwsClusterRequest](docs/AwsClusterRequest.md)
 - [AzureAccount](docs/AzureAccount.md)
 - [AzureCluster](docs/AzureCluster.md)
 - [AzureClusterRequest](docs/AzureClusterRequest.md)
 - [AzureDiskVolumeSource](docs/AzureDiskVolumeSource.md)
 - [AzureFileVolumeSource](docs/AzureFileVolumeSource.md)
 - [BasicDockerArtifactory](docs/BasicDockerArtifactory.md)
 - [BasicDockerDTO](docs/BasicDockerDTO.md)
 - [BillingMetadata](docs/BillingMetadata.md)
 - [BitBucketAccount](docs/BitBucketAccount.md)
 - [BitbucketOauthAppPayload](docs/BitbucketOauthAppPayload.md)
 - [BlueprintFile](docs/BlueprintFile.md)
 - [BlueprintFileSummaryDto](docs/BlueprintFileSummaryDto.md)
 - [BlueprintValidationError](docs/BlueprintValidationError.md)
 - [BranchDTO](docs/BranchDTO.md)
 - [BranchUpdateRequest](docs/BranchUpdateRequest.md)
 - [BulkWorkflowAttachRequest](docs/BulkWorkflowAttachRequest.md)
 - [CSIVolumeSource](docs/CSIVolumeSource.md)
 - [Capabilities](docs/Capabilities.md)
 - [CephFSVolumeSource](docs/CephFSVolumeSource.md)
 - [Change](docs/Change.md)
 - [ChangeRepresentationObject](docs/ChangeRepresentationObject.md)
 - [ChangedAttribute](docs/ChangedAttribute.md)
 - [ChannelTypePayload](docs/ChannelTypePayload.md)
 - [Chat](docs/Chat.md)
 - [ChatContext](docs/ChatContext.md)
 - [ChatMessage](docs/ChatMessage.md)
 - [ChatRequest](docs/ChatRequest.md)
 - [ChatStarterMetadata](docs/ChatStarterMetadata.md)
 - [CiArtifactResponse](docs/CiArtifactResponse.md)
 - [CiCdDto](docs/CiCdDto.md)
 - [CinderVolumeSource](docs/CinderVolumeSource.md)
 - [ClaimSource](docs/ClaimSource.md)
 - [ClientAuthenticationMethod](docs/ClientAuthenticationMethod.md)
 - [CloudLinkingRequest](docs/CloudLinkingRequest.md)
 - [ClusterCostDTO](docs/ClusterCostDTO.md)
 - [ClusterFiringAlertsDTO](docs/ClusterFiringAlertsDTO.md)
 - [ClusterInfo](docs/ClusterInfo.md)
 - [ClusterLite](docs/ClusterLite.md)
 - [ClusterMetadata](docs/ClusterMetadata.md)
 - [ClusterOverrideResponse](docs/ClusterOverrideResponse.md)
 - [ClusterOverview](docs/ClusterOverview.md)
 - [ClusterResourcesResponse](docs/ClusterResourcesResponse.md)
 - [ClusterResourcesResponseFacetsResource](docs/ClusterResourcesResponseFacetsResource.md)
 - [ClusterResponse](docs/ClusterResponse.md)
 - [ClusterSchedule](docs/ClusterSchedule.md)
 - [ClusterTfVersionMapping](docs/ClusterTfVersionMapping.md)
 - [CoderAccount](docs/CoderAccount.md)
 - [CoderLaunchEligibilityResponse](docs/CoderLaunchEligibilityResponse.md)
 - [CoderWorkspaceResponse](docs/CoderWorkspaceResponse.md)
 - [Commit](docs/Commit.md)
 - [CommitLog](docs/CommitLog.md)
 - [Config](docs/Config.md)
 - [ConfigMapDTO](docs/ConfigMapDTO.md)
 - [ConfigMapEnvSource](docs/ConfigMapEnvSource.md)
 - [ConfigMapKeySelector](docs/ConfigMapKeySelector.md)
 - [ConfigMapProjection](docs/ConfigMapProjection.md)
 - [ConfigMapVolumeSource](docs/ConfigMapVolumeSource.md)
 - [Container](docs/Container.md)
 - [ContainerDTO](docs/ContainerDTO.md)
 - [ContainerPort](docs/ContainerPort.md)
 - [ContainerResourceMetricSource](docs/ContainerResourceMetricSource.md)
 - [ContainerResourceMetricStatus](docs/ContainerResourceMetricStatus.md)
 - [ContainerState](docs/ContainerState.md)
 - [ContainerStateRunning](docs/ContainerStateRunning.md)
 - [ContainerStateTerminated](docs/ContainerStateTerminated.md)
 - [ContainerStateWaiting](docs/ContainerStateWaiting.md)
 - [ContainerStatus](docs/ContainerStatus.md)
 - [ContentFile](docs/ContentFile.md)
 - [CopyConfigurationsRequest](docs/CopyConfigurationsRequest.md)
 - [CostDTO](docs/CostDTO.md)
 - [CreateBlueprintRequest](docs/CreateBlueprintRequest.md)
 - [CreateChatRequest](docs/CreateChatRequest.md)
 - [CreateProjectRequest](docs/CreateProjectRequest.md)
 - [CreateTemplateRequest](docs/CreateTemplateRequest.md)
 - [CreateWorkspaceExistingBranchRequest](docs/CreateWorkspaceExistingBranchRequest.md)
 - [CreateWorkspaceNewBranchRequest](docs/CreateWorkspaceNewBranchRequest.md)
 - [Criterion](docs/Criterion.md)
 - [CronJobDTO](docs/CronJobDTO.md)
 - [CrossVersionObjectReference](docs/CrossVersionObjectReference.md)
 - [CustomOAuth2ClientRegistration](docs/CustomOAuth2ClientRegistration.md)
 - [CustomRoleRequest](docs/CustomRoleRequest.md)
 - [CustomerOnboardRequest](docs/CustomerOnboardRequest.md)
 - [DaemonSetDTO](docs/DaemonSetDTO.md)
 - [DailyCloudCostDTO](docs/DailyCloudCostDTO.md)
 - [DailyCost](docs/DailyCost.md)
 - [DeletedEntitySoftDelete](docs/DeletedEntitySoftDelete.md)
 - [DeploymentContext](docs/DeploymentContext.md)
 - [DeploymentDTO](docs/DeploymentDTO.md)
 - [DeploymentLog](docs/DeploymentLog.md)
 - [DeploymentOverview](docs/DeploymentOverview.md)
 - [DeploymentRequest](docs/DeploymentRequest.md)
 - [DeploymentStatsDto](docs/DeploymentStatsDto.md)
 - [DeploymentStatusCountDto](docs/DeploymentStatusCountDto.md)
 - [DeploymentsStats](docs/DeploymentsStats.md)
 - [DomainDTO](docs/DomainDTO.md)
 - [DownwardAPIProjection](docs/DownwardAPIProjection.md)
 - [DownwardAPIVolumeFile](docs/DownwardAPIVolumeFile.md)
 - [DownwardAPIVolumeSource](docs/DownwardAPIVolumeSource.md)
 - [DraftClusterRequest](docs/DraftClusterRequest.md)
 - [ECRArtifactory](docs/ECRArtifactory.md)
 - [ECRAuthorizationData](docs/ECRAuthorizationData.md)
 - [Edge](docs/Edge.md)
 - [EmptyDirVolumeSource](docs/EmptyDirVolumeSource.md)
 - [EnableDisableOPAPolicy](docs/EnableDisableOPAPolicy.md)
 - [EnableGitOpsRequest](docs/EnableGitOpsRequest.md)
 - [EnvFromSource](docs/EnvFromSource.md)
 - [EnvInfo](docs/EnvInfo.md)
 - [EnvSpecificAccess](docs/EnvSpecificAccess.md)
 - [EnvVar](docs/EnvVar.md)
 - [EnvVarSource](docs/EnvVarSource.md)
 - [EphemeralContainer](docs/EphemeralContainer.md)
 - [EphemeralVolumeSource](docs/EphemeralVolumeSource.md)
 - [Error](docs/Error.md)
 - [ErrorDetails](docs/ErrorDetails.md)
 - [Event](docs/Event.md)
 - [EventDTO](docs/EventDTO.md)
 - [EventSeries](docs/EventSeries.md)
 - [EventSource](docs/EventSource.md)
 - [ExecAction](docs/ExecAction.md)
 - [ExecutionTime](docs/ExecutionTime.md)
 - [ExpandedUser](docs/ExpandedUser.md)
 - [ExpandedUserGroup](docs/ExpandedUserGroup.md)
 - [ExternalMetricSource](docs/ExternalMetricSource.md)
 - [ExternalMetricStatus](docs/ExternalMetricStatus.md)
 - [FCVolumeSource](docs/FCVolumeSource.md)
 - [FacetsAuditLogResponse](docs/FacetsAuditLogResponse.md)
 - [FacetsResource](docs/FacetsResource.md)
 - [FieldsV1](docs/FieldsV1.md)
 - [FlexVolumeSource](docs/FlexVolumeSource.md)
 - [FlockerVolumeSource](docs/FlockerVolumeSource.md)
 - [GCEPersistentDiskVolumeSource](docs/GCEPersistentDiskVolumeSource.md)
 - [GCPCluster](docs/GCPCluster.md)
 - [GCPClusterRequest](docs/GCPClusterRequest.md)
 - [GRPCAction](docs/GRPCAction.md)
 - [GcpAccount](docs/GcpAccount.md)
 - [GenericOAuth2ClientRegistration](docs/GenericOAuth2ClientRegistration.md)
 - [GitHubAccount](docs/GitHubAccount.md)
 - [GitLabAccount](docs/GitLabAccount.md)
 - [GitRepoVolumeSource](docs/GitRepoVolumeSource.md)
 - [GithubAppInstallationPayload](docs/GithubAppInstallationPayload.md)
 - [GithubAppInstallationRequest](docs/GithubAppInstallationRequest.md)
 - [GithubAppInstallationRequestResponse](docs/GithubAppInstallationRequestResponse.md)
 - [GithubLabel](docs/GithubLabel.md)
 - [GithubUser](docs/GithubUser.md)
 - [GitlabOauthAppPayload](docs/GitlabOauthAppPayload.md)
 - [GlusterfsVolumeSource](docs/GlusterfsVolumeSource.md)
 - [GrantedAuthority](docs/GrantedAuthority.md)
 - [GroupedCountDto](docs/GroupedCountDto.md)
 - [HPAScalingPolicy](docs/HPAScalingPolicy.md)
 - [HPAScalingRules](docs/HPAScalingRules.md)
 - [HTTPGetAction](docs/HTTPGetAction.md)
 - [HTTPHeader](docs/HTTPHeader.md)
 - [HTTPIngressPath](docs/HTTPIngressPath.md)
 - [HTTPIngressRuleValue](docs/HTTPIngressRuleValue.md)
 - [HistoryMetadata](docs/HistoryMetadata.md)
 - [HorizontalPodAutoscaler](docs/HorizontalPodAutoscaler.md)
 - [HorizontalPodAutoscalerBehavior](docs/HorizontalPodAutoscalerBehavior.md)
 - [HorizontalPodAutoscalerCondition](docs/HorizontalPodAutoscalerCondition.md)
 - [HorizontalPodAutoscalerDTO](docs/HorizontalPodAutoscalerDTO.md)
 - [HorizontalPodAutoscalerSpec](docs/HorizontalPodAutoscalerSpec.md)
 - [HorizontalPodAutoscalerStatus](docs/HorizontalPodAutoscalerStatus.md)
 - [HostAlias](docs/HostAlias.md)
 - [HostPathVolumeSource](docs/HostPathVolumeSource.md)
 - [HotfixDeploymentRecipe](docs/HotfixDeploymentRecipe.md)
 - [ISCSIVolumeSource](docs/ISCSIVolumeSource.md)
 - [IdName](docs/IdName.md)
 - [ImageOverrideRequest](docs/ImageOverrideRequest.md)
 - [Info](docs/Info.md)
 - [Ingress](docs/Ingress.md)
 - [IngressBackend](docs/IngressBackend.md)
 - [IngressBackendDTO](docs/IngressBackendDTO.md)
 - [IngressDTO](docs/IngressDTO.md)
 - [IngressLoadBalancerIngress](docs/IngressLoadBalancerIngress.md)
 - [IngressLoadBalancerStatus](docs/IngressLoadBalancerStatus.md)
 - [IngressPortStatus](docs/IngressPortStatus.md)
 - [IngressRule](docs/IngressRule.md)
 - [IngressRulesDTO](docs/IngressRulesDTO.md)
 - [IngressServiceBackend](docs/IngressServiceBackend.md)
 - [IngressSpec](docs/IngressSpec.md)
 - [IngressStatus](docs/IngressStatus.md)
 - [IngressTLS](docs/IngressTLS.md)
 - [Input](docs/Input.md)
 - [InputOutputResource](docs/InputOutputResource.md)
 - [IntOrString](docs/IntOrString.md)
 - [IntentOutput](docs/IntentOutput.md)
 - [IntentRequestDTO](docs/IntentRequestDTO.md)
 - [IntentResponseDTO](docs/IntentResponseDTO.md)
 - [InviteUserRequest](docs/InviteUserRequest.md)
 - [JSONObject](docs/JSONObject.md)
 - [JobDTO](docs/JobDTO.md)
 - [JsonNode](docs/JsonNode.md)
 - [K8sAnalyzeResponse](docs/K8sAnalyzeResponse.md)
 - [KeyToPath](docs/KeyToPath.md)
 - [KubernetesAccount](docs/KubernetesAccount.md)
 - [KubernetesCluster](docs/KubernetesCluster.md)
 - [KubernetesClusterRequest](docs/KubernetesClusterRequest.md)
 - [KubernetesCredential](docs/KubernetesCredential.md)
 - [LabelSelector](docs/LabelSelector.md)
 - [LabelSelectorRequirement](docs/LabelSelectorRequirement.md)
 - [Lifecycle](docs/Lifecycle.md)
 - [LifecycleHandler](docs/LifecycleHandler.md)
 - [ListDeploymentsWrapper](docs/ListDeploymentsWrapper.md)
 - [ListPullRequestResponse](docs/ListPullRequestResponse.md)
 - [ListResourcesResponse](docs/ListResourcesResponse.md)
 - [ListWorkflowRunsResponse](docs/ListWorkflowRunsResponse.md)
 - [LocalObjectReference](docs/LocalObjectReference.md)
 - [LocalTime](docs/LocalTime.md)
 - [MaintenanceWindowDTO](docs/MaintenanceWindowDTO.md)
 - [MaintenanceWindowDTOTimeZone](docs/MaintenanceWindowDTOTimeZone.md)
 - [ManagedFieldsEntry](docs/ManagedFieldsEntry.md)
 - [MatchedModuleDTO](docs/MatchedModuleDTO.md)
 - [MatchedResourceDTO](docs/MatchedResourceDTO.md)
 - [Metric](docs/Metric.md)
 - [MetricIdentifier](docs/MetricIdentifier.md)
 - [MetricSpec](docs/MetricSpec.md)
 - [MetricStatus](docs/MetricStatus.md)
 - [MetricTarget](docs/MetricTarget.md)
 - [MetricValueStatus](docs/MetricValueStatus.md)
 - [MicroTime](docs/MicroTime.md)
 - [MigrateOverridesRequest](docs/MigrateOverridesRequest.md)
 - [MigrationScriptMetadata](docs/MigrationScriptMetadata.md)
 - [ModuleDTO](docs/ModuleDTO.md)
 - [ModuleInputDTO](docs/ModuleInputDTO.md)
 - [ModuleMetadata](docs/ModuleMetadata.md)
 - [ModuleUsageDTO](docs/ModuleUsageDTO.md)
 - [ModulesUploadBody](docs/ModulesUploadBody.md)
 - [NFSVolumeSource](docs/NFSVolumeSource.md)
 - [NodeAffinity](docs/NodeAffinity.md)
 - [NodeSelector](docs/NodeSelector.md)
 - [NodeSelectorRequirement](docs/NodeSelectorRequirement.md)
 - [NodeSelectorTerm](docs/NodeSelectorTerm.md)
 - [NotificationChannel](docs/NotificationChannel.md)
 - [NotificationTagPayload](docs/NotificationTagPayload.md)
 - [NotificationTagsForTypeResult](docs/NotificationTagsForTypeResult.md)
 - [NotificationTypeResponse](docs/NotificationTypeResponse.md)
 - [ObjectFieldSelector](docs/ObjectFieldSelector.md)
 - [ObjectMeta](docs/ObjectMeta.md)
 - [ObjectMetricSource](docs/ObjectMetricSource.md)
 - [ObjectMetricStatus](docs/ObjectMetricStatus.md)
 - [ObjectReference](docs/ObjectReference.md)
 - [OneTimePayloadAwsAccount](docs/OneTimePayloadAwsAccount.md)
 - [OneTimePayloadAzureAccount](docs/OneTimePayloadAzureAccount.md)
 - [OneTimePayloadBasicDockerDTO](docs/OneTimePayloadBasicDockerDTO.md)
 - [OneTimePayloadBitbucketOauthAppPayload](docs/OneTimePayloadBitbucketOauthAppPayload.md)
 - [OneTimePayloadECRArtifactory](docs/OneTimePayloadECRArtifactory.md)
 - [OneTimePayloadGcpAccount](docs/OneTimePayloadGcpAccount.md)
 - [OneTimePayloadGithubAppInstallationPayload](docs/OneTimePayloadGithubAppInstallationPayload.md)
 - [OneTimePayloadGitlabOauthAppPayload](docs/OneTimePayloadGitlabOauthAppPayload.md)
 - [OneTimePayloadKubernetesAccount](docs/OneTimePayloadKubernetesAccount.md)
 - [OneTimeWebhook](docs/OneTimeWebhook.md)
 - [OpaPolicy](docs/OpaPolicy.md)
 - [OpaPolicyExecutionResult](docs/OpaPolicyExecutionResult.md)
 - [OpaPolicyRequest](docs/OpaPolicyRequest.md)
 - [OtherVersion](docs/OtherVersion.md)
 - [OutputReference](docs/OutputReference.md)
 - [OverrideConfig](docs/OverrideConfig.md)
 - [OverrideObject](docs/OverrideObject.md)
 - [OverrideRequest](docs/OverrideRequest.md)
 - [OwnerReference](docs/OwnerReference.md)
 - [Package](docs/Package.md)
 - [PackageResponse](docs/PackageResponse.md)
 - [PageAbstractCluster](docs/PageAbstractCluster.md)
 - [PageChat](docs/PageChat.md)
 - [PageDeploymentLog](docs/PageDeploymentLog.md)
 - [PageFacetsAuditLogResponse](docs/PageFacetsAuditLogResponse.md)
 - [PageResourceReleaseImpact](docs/PageResourceReleaseImpact.md)
 - [PageVersionVersioned](docs/PageVersionVersioned.md)
 - [PageableObject](docs/PageableObject.md)
 - [PasswordChange](docs/PasswordChange.md)
 - [PauseReleaseRequest](docs/PauseReleaseRequest.md)
 - [PendingMigrationDetails](docs/PendingMigrationDetails.md)
 - [PersistentVolumeClaimDTO](docs/PersistentVolumeClaimDTO.md)
 - [PersistentVolumeClaimSpec](docs/PersistentVolumeClaimSpec.md)
 - [PersistentVolumeClaimTemplate](docs/PersistentVolumeClaimTemplate.md)
 - [PersistentVolumeClaimVolumeSource](docs/PersistentVolumeClaimVolumeSource.md)
 - [PersistentVolumeDTO](docs/PersistentVolumeDTO.md)
 - [PhotonPersistentDiskVolumeSource](docs/PhotonPersistentDiskVolumeSource.md)
 - [PipelineNode](docs/PipelineNode.md)
 - [Pod](docs/Pod.md)
 - [PodAffinity](docs/PodAffinity.md)
 - [PodAffinityTerm](docs/PodAffinityTerm.md)
 - [PodAntiAffinity](docs/PodAntiAffinity.md)
 - [PodCondition](docs/PodCondition.md)
 - [PodDNSConfig](docs/PodDNSConfig.md)
 - [PodDNSConfigOption](docs/PodDNSConfigOption.md)
 - [PodDTO](docs/PodDTO.md)
 - [PodIP](docs/PodIP.md)
 - [PodOS](docs/PodOS.md)
 - [PodReadinessGate](docs/PodReadinessGate.md)
 - [PodResourceClaim](docs/PodResourceClaim.md)
 - [PodSchedulingGate](docs/PodSchedulingGate.md)
 - [PodSecurityContext](docs/PodSecurityContext.md)
 - [PodSpec](docs/PodSpec.md)
 - [PodStatus](docs/PodStatus.md)
 - [PodStatusDTO](docs/PodStatusDTO.md)
 - [PodsMetricSource](docs/PodsMetricSource.md)
 - [PodsMetricStatus](docs/PodsMetricStatus.md)
 - [PolicyTemplateDTO](docs/PolicyTemplateDTO.md)
 - [PortInfo](docs/PortInfo.md)
 - [PortworxVolumeSource](docs/PortworxVolumeSource.md)
 - [PreferredSchedulingTerm](docs/PreferredSchedulingTerm.md)
 - [Probe](docs/Probe.md)
 - [ProjectTypeMappedResource](docs/ProjectTypeMappedResource.md)
 - [ProjectTypeRequest](docs/ProjectTypeRequest.md)
 - [ProjectTypeResponse](docs/ProjectTypeResponse.md)
 - [ProjectedVolumeSource](docs/ProjectedVolumeSource.md)
 - [PromotionWorkflow](docs/PromotionWorkflow.md)
 - [ProvidedAuthenticatedResource](docs/ProvidedAuthenticatedResource.md)
 - [ProvidedCloudResource](docs/ProvidedCloudResource.md)
 - [ProvidedResources](docs/ProvidedResources.md)
 - [ProvidedShardedService](docs/ProvidedShardedService.md)
 - [ProvidedUnauthenticatedResource](docs/ProvidedUnauthenticatedResource.md)
 - [PullRequestResponse](docs/PullRequestResponse.md)
 - [PushCredentialsRequest](docs/PushCredentialsRequest.md)
 - [PushCredentialsResponse](docs/PushCredentialsResponse.md)
 - [Quantity](docs/Quantity.md)
 - [QueuedRelease](docs/QueuedRelease.md)
 - [QuobyteVolumeSource](docs/QuobyteVolumeSource.md)
 - [RBDVolumeSource](docs/RBDVolumeSource.md)
 - [RawError](docs/RawError.md)
 - [RefExpression](docs/RefExpression.md)
 - [RegionAndZone](docs/RegionAndZone.md)
 - [ReleaseButtonStatus](docs/ReleaseButtonStatus.md)
 - [ReleaseChanges](docs/ReleaseChanges.md)
 - [ReleaseDetails](docs/ReleaseDetails.md)
 - [ReleasePreviewResponse](docs/ReleasePreviewResponse.md)
 - [ReleaseStream](docs/ReleaseStream.md)
 - [ReleaseStreamRequest](docs/ReleaseStreamRequest.md)
 - [ReleaseStreamResponse](docs/ReleaseStreamResponse.md)
 - [ReplicaStatus](docs/ReplicaStatus.md)
 - [ReplicasetDTO](docs/ReplicasetDTO.md)
 - [Repository](docs/Repository.md)
 - [ResetPasswordRequest](docs/ResetPasswordRequest.md)
 - [ResourceAffectedResponse](docs/ResourceAffectedResponse.md)
 - [ResourceChange](docs/ResourceChange.md)
 - [ResourceClaim](docs/ResourceClaim.md)
 - [ResourceDetails](docs/ResourceDetails.md)
 - [ResourceEnableDisableRequest](docs/ResourceEnableDisableRequest.md)
 - [ResourceFieldSelector](docs/ResourceFieldSelector.md)
 - [ResourceFileRequest](docs/ResourceFileRequest.md)
 - [ResourceGroup](docs/ResourceGroup.md)
 - [ResourceGroupRequest](docs/ResourceGroupRequest.md)
 - [ResourceHistory](docs/ResourceHistory.md)
 - [ResourceHistoryOverview](docs/ResourceHistoryOverview.md)
 - [ResourceInfo](docs/ResourceInfo.md)
 - [ResourceList](docs/ResourceList.md)
 - [ResourceMetadata](docs/ResourceMetadata.md)
 - [ResourceMetricSource](docs/ResourceMetricSource.md)
 - [ResourceMetricStatus](docs/ResourceMetricStatus.md)
 - [ResourceOutProperties](docs/ResourceOutProperties.md)
 - [ResourceReleaseImpact](docs/ResourceReleaseImpact.md)
 - [ResourceRenameRequest](docs/ResourceRenameRequest.md)
 - [ResourceRequirements](docs/ResourceRequirements.md)
 - [ResourceStatus](docs/ResourceStatus.md)
 - [ResourceStatusMetadata](docs/ResourceStatusMetadata.md)
 - [ResourceStatusResponse](docs/ResourceStatusResponse.md)
 - [ResourceSyncRequest](docs/ResourceSyncRequest.md)
 - [Response](docs/Response.md)
 - [Result](docs/Result.md)
 - [RoleInfo](docs/RoleInfo.md)
 - [RoleMapping](docs/RoleMapping.md)
 - [SELinuxOptions](docs/SELinuxOptions.md)
 - [SaasArtifactRequest](docs/SaasArtifactRequest.md)
 - [SaveAsTemplateRequest](docs/SaveAsTemplateRequest.md)
 - [SavePasswordResetPasswordRequest](docs/SavePasswordResetPasswordRequest.md)
 - [ScaleIOVolumeSource](docs/ScaleIOVolumeSource.md)
 - [ScheduleRequest](docs/ScheduleRequest.md)
 - [SeccompProfile](docs/SeccompProfile.md)
 - [SecretDTO](docs/SecretDTO.md)
 - [SecretEnvSource](docs/SecretEnvSource.md)
 - [SecretKeySelector](docs/SecretKeySelector.md)
 - [SecretProjection](docs/SecretProjection.md)
 - [SecretVolumeSource](docs/SecretVolumeSource.md)
 - [SecretsContextDTO](docs/SecretsContextDTO.md)
 - [SecurityContext](docs/SecurityContext.md)
 - [SecurityReportSummary](docs/SecurityReportSummary.md)
 - [Selectors](docs/Selectors.md)
 - [ServiceAccountTokenProjection](docs/ServiceAccountTokenProjection.md)
 - [ServiceBackendPort](docs/ServiceBackendPort.md)
 - [ServiceCost](docs/ServiceCost.md)
 - [ServiceCostDTO](docs/ServiceCostDTO.md)
 - [ServiceDTO](docs/ServiceDTO.md)
 - [ServiceOverview](docs/ServiceOverview.md)
 - [ServicePortDTO](docs/ServicePortDTO.md)
 - [Setting](docs/Setting.md)
 - [SilenceAlarmRequest](docs/SilenceAlarmRequest.md)
 - [SimpleOauth2User](docs/SimpleOauth2User.md)
 - [SnapshotInfo](docs/SnapshotInfo.md)
 - [SoftDelete](docs/SoftDelete.md)
 - [SortObject](docs/SortObject.md)
 - [Stack](docs/Stack.md)
 - [StackGitLog](docs/StackGitLog.md)
 - [StackResource](docs/StackResource.md)
 - [StackTemplate](docs/StackTemplate.md)
 - [StackTemplateInput](docs/StackTemplateInput.md)
 - [StatefulSetDTO](docs/StatefulSetDTO.md)
 - [StorageOSVolumeSource](docs/StorageOSVolumeSource.md)
 - [StreamingResponseBody](docs/StreamingResponseBody.md)
 - [Subscription](docs/Subscription.md)
 - [Substack](docs/Substack.md)
 - [SubstackRequest](docs/SubstackRequest.md)
 - [SupportedVersions](docs/SupportedVersions.md)
 - [Sysctl](docs/Sysctl.md)
 - [TCPSocketAction](docs/TCPSocketAction.md)
 - [TFModule](docs/TFModule.md)
 - [TFModuleListResponseDTO](docs/TFModuleListResponseDTO.md)
 - [TFModuleLiteDTO](docs/TFModuleLiteDTO.md)
 - [TFModuleLiteListDTO](docs/TFModuleLiteListDTO.md)
 - [TFModulePath](docs/TFModulePath.md)
 - [TFModuleResponseDTO](docs/TFModuleResponseDTO.md)
 - [TFOutputRequestDTO](docs/TFOutputRequestDTO.md)
 - [TFOutputResponseDTO](docs/TFOutputResponseDTO.md)
 - [TFProvider](docs/TFProvider.md)
 - [TagDataModel](docs/TagDataModel.md)
 - [TargetResource](docs/TargetResource.md)
 - [Team](docs/Team.md)
 - [TeamMembership](docs/TeamMembership.md)
 - [TeamResource](docs/TeamResource.md)
 - [TemplateGitDetails](docs/TemplateGitDetails.md)
 - [TemplateResponseDTO](docs/TemplateResponseDTO.md)
 - [TerraformChange](docs/TerraformChange.md)
 - [TestNotificationRequest](docs/TestNotificationRequest.md)
 - [TestRuleResponse](docs/TestRuleResponse.md)
 - [TfVersion](docs/TfVersion.md)
 - [ThemeFileResponse](docs/ThemeFileResponse.md)
 - [ToggleRelease](docs/ToggleRelease.md)
 - [TokenPaginatedResponse](docs/TokenPaginatedResponse.md)
 - [TokenValidationRequest](docs/TokenValidationRequest.md)
 - [TokenValidity](docs/TokenValidity.md)
 - [Toleration](docs/Toleration.md)
 - [ToolsConfig](docs/ToolsConfig.md)
 - [TopologySpreadConstraint](docs/TopologySpreadConstraint.md)
 - [TypedLocalObjectReference](docs/TypedLocalObjectReference.md)
 - [TypedObjectReference](docs/TypedObjectReference.md)
 - [User](docs/User.md)
 - [UserAccessToken](docs/UserAccessToken.md)
 - [UserGroup](docs/UserGroup.md)
 - [UserVCSTokenRequest](docs/UserVCSTokenRequest.md)
 - [UserVCSTokenResponse](docs/UserVCSTokenResponse.md)
 - [Utilization](docs/Utilization.md)
 - [VCSAccountUpdateRequest](docs/VCSAccountUpdateRequest.md)
 - [VCSLinkingRequest](docs/VCSLinkingRequest.md)
 - [VCSLinkingResponse](docs/VCSLinkingResponse.md)
 - [VCSOrganizationsRequest](docs/VCSOrganizationsRequest.md)
 - [VCSTokenDetailsResponse](docs/VCSTokenDetailsResponse.md)
 - [ValidationError](docs/ValidationError.md)
 - [ValidationResponse](docs/ValidationResponse.md)
 - [ValidationResult](docs/ValidationResult.md)
 - [VariableCountDto](docs/VariableCountDto.md)
 - [VariableDetails](docs/VariableDetails.md)
 - [Variables](docs/Variables.md)
 - [Version](docs/Version.md)
 - [VersionVersioned](docs/VersionVersioned.md)
 - [Versioned](docs/Versioned.md)
 - [Volume](docs/Volume.md)
 - [VolumeDevice](docs/VolumeDevice.md)
 - [VolumeMount](docs/VolumeMount.md)
 - [VolumeProjection](docs/VolumeProjection.md)
 - [VsphereVirtualDiskVolumeSource](docs/VsphereVirtualDiskVolumeSource.md)
 - [WebComponentDTO](docs/WebComponentDTO.md)
 - [WeightedPodAffinityTerm](docs/WeightedPodAffinityTerm.md)
 - [WindowsSecurityContextOptions](docs/WindowsSecurityContextOptions.md)
 - [Workflow](docs/Workflow.md)
 - [WorkflowHierarchy](docs/WorkflowHierarchy.md)
 - [WorkflowRun](docs/WorkflowRun.md)

## Documentation For Authorization


## basicAuth

- **Type**: HTTP basic authentication


## Author


